issue65

Editorial

Cover Tape

CONTENTS

Page 5

C64SSD -The hardware transplant…

Page 7

Readers Comments

January2013 –Commodore SX-64 month

Page 12

Page 13

News

Latest PRESS PLAY ON TAPE news

AROS Vision 1.5.4. Uploaded

Page 15

News

Page 16

REVIVAL STUDIOS RELEASE 2 GAMES for the Vic 20 digital talk released #95

Page 18

News

ACE128 UPDATED VIDEOS AND INFORMATION

News

SC3 Arcade Party - Saturday, Nov. 10

PDXCUG.org meeting

Page 19

News

Page 20

2nd Edition of A Commodore 64 Walkabout out soon

ICU 64 - v0.1.5 Mathfigure RELEASED

News

THE Hungarian Amiga magazine

Ghislain UNCOVERS SPACE WARS FOR THE VIC 20

Page 21

Page 22

News

SFX Recorder 1.0

ABOVE AND BEYOND DISK MAG RELEASED

News

Page 23

REBOL Scripting Language will soon be Open Source

Jack 3.2.5 released for all platforms

Page 24

News

X-bEnCh 0.73 Beta - Amiga Game Launcher

AMIGA GAME DISKS FOR SALE

News

PC WORLD REVIEWS C64 FOREVER

Free Gift for Amiga.org Lifetime Members

Club Info 127 RELEASED

Page 25

News

Page 26

Commodore 8-Bit Repair video from VCF East 2012

AmigaKit, now selling Commodore items.

BUILD YOUR OWN SID

Page 27

News

Amiga Future #98 RELEASED

AmiKit, the high-end Amiga on your PC, updated

VCF East 8.0 - History of Commodore Part 2

COPPA REMIX FOR THE VIC20

News

Back in Time Live DVD limited stock now available

Page 28 full HD remake of Cinemaware's WWI Amiga game

Page 29

News

AmigaOS 4.1 Update 5 Released

Scene World #19 is out!

News

AMIGA PORT OF Koules 1.4

Bochs v2.5.1 - Amiga

Page 30

Galaxions review by Sixteen Plus

DONT WORRY

“WE GOT IT ALL TAPED” ?

Making TAP files from Real tapes

COMMODORE FREE INTERVIEW WITH

TOMI MALINEN

PROGRAMMER OF ALIEN BASH II

SWARMED Commodore 64 REVIEW

Commodore Free review

GETEM DELUX

Redrunner/Greenrunner

Retroskoi+ Trailer

(64KB C64 Cartridge Version) (6581 SID)

SOULLESS COMMODORE FREE REVIEW

Commodore Free REVIEW

SQRXZ OCS AMIGA VERSION

www.commodorefree.com

COMMODORE FREE REVIEW

AVALANCHE FOR THE UNEXPANDED

Page 33

Page 37

Page 39

Page 42

Page 46

Page 47

Page 49

Page 51

Page 53

Page 54

Commodore Free Magazine

FRONT COVER OF COMMODORE FREE issue 64 DESIGN AND CONCEPT BY FILMSOFT

Page 2

www.commodorefree.com

Editorial

After the mammoth Commodore 64 edition I know a ries because it was found more people watch it this way (or some such wording).

number of VIC 20 user have contacted me asking why they didn’t receive a special issue 30 VIC Edition. Now don’t get me wrong I love the VIC and it means more to me because it was my first machine (And yes it is still set up and working!)

VIC

I would love to do a VIC 20 special and although it obviously won’t be issue 20 as the time has passed! I would like to devote and entire issue to the VIC “IF” I receive enough information to create such an issue. So to all the people who emailed me to complain; then please send in some form of submission about the VIC. I had also been planning a 264 special and at the moment I have been sent in 2 articles despite the plea going out for several months! So don’t complain and ask where the 264 special is because it looks like the issue will be a long way off. It’s easy to send me something, just check the contact page or send an email to [email protected]

put in the title Commodore Free 264 or VIC special. As they usually say (I won’t hold my breath).

What the hack is going on here games earning 10/10 I must be going soft in my old age, surely they can’t be getting better can they? Sometimes playability wins over fancy graphics (and you will see this in the Vic review, not that the graphics are poor but... oh dear I better quit while I was ahead)and if you don’t need fancy graphics to add anything to the game then don’t add them! Same here to with Green and Redrunner two of my favourite games (well ok amongst my favourites).

I see Jeff Minter is porting a lot of Llamasoft games to the iOS , they look ok but as I only have an android I can’t really comment on how they play, but look forward to Android ports of the games. I read a review that said something about “People think outside the Box, however Jeff Minter invented the box and was never inside it at any time anyway”.

I would love psychedelia on the Android way cool man !

http://en.wikipedia.org/wiki/Psychedelia_(light_synthesizer)

I love the fading effects, in fact still play it on the Commodore 64 now, crank up some music and load the program.

Here we go then, thanks for reading and enjoy

Back to this issue then

Soulless is a massive release and I review the game in this very issue, I can’t say it’s a game I would play myself but I know others love this type of game. I had to be careful with the scores just because it’s not a game I like I had to look at all aspects before scoring it. Also reviewed is the cartridge version of “GET 'EM DX” and a game for the unexpanded VIC

20 that caused all sorts of frustration in our household as its one of these sorts of game, you know “just one more go before I take you shopping”, then 5 goes later “are we going or not?!”. We have a couple of readers comments this month

(very unusual for the magazine as for a long time I don’t seem to have had anything for this column, although I do get the usual; great Job emails and of course a few more negative ones! I like to think of them as constructive criticisms).

Nigel Parker (editor Commodore Free)

I didn’t receive any more emails asking what I have been watching so I dropped this from the editorial apart from saying that I am glad “Red Dwarf” is back for another series and of course Doctor Who (although this has stopped until the

Christmas special) then will return as they break up the se-

Psychedelia by Jeff Minter

Commodore Free Magazine Page 5

www.commodorefree.com

Commodore Free E-Cover Tape #2

By Richard Bayliss

After the success of issue 64's E-Cover tape. We have yet again decided to get those loading stripes in action and bring to you a second dosage load of great productions.

We even have one or two exclusive productions for this issue's cover tape. I am also happy to bring you a a neat shoot 'em up game, inspired by a classic arcade game. We also have a some other goodies for you to enjoy.

If you have a game, demo or utility which you would like us to include on issue 66's E-cover tape, then please go ahead and submit it to us at the usual Commodore Free email address or to me via the TND web site. Okay, on with the show.

XETRIS

(C)2004 Danny Beismans

Programming and SFX: Danny Beismans

Graphics: Neil Kendall

Music: Richard Bayliss

Note code: Explorer/Agony

Music: Jeff/Camelot

Genre: Puzzle (Tetris)

Controls: Joystick in port 2

This is a Tetris remake. Tetris is a game in which you rotate shapes to form lines, to score points. I think some people, if not then most may have gathered this already huh?. The aim of Xetris is similar, apart from this time round there's a story, which Danny has made up for this game. The full story can be found before you can run the game, as I have put both files together as a whole specially for mastering to tape. To exit the story and run the game, pressing the CBM key will take you to it.

The idea of the game is to place the falling shapes into place and form lines. Unlike normal Tetris, you have a limited number of lines to select instead of just one. As soon as enough lines have been created, within a time limit, a bonus will be awarded and you will proceed on to the very next level, in which has an additional construction built with the shapes, making the game more frustratingly addictive.

Xetris consists of a nice presentation with some clever ideas implemented into it. I am pretty sure you may enjoy this game. If you are a Tetris fan.

V.I.O.S 2011

(C)2011 Carl Mason

Programming: Carl Mason (Using SEUCK)

Graphics: Carl Mason

Music: Richard Bayliss

Genre: Shoot 'Em Up (SEUCK Vertical)

Controls: Joystick in port 1 or 2

This is a special 2011 version of the game, in which has some great scenarios. Amazing effects, lovely graphics implementation and also superb skills used from the limitations of Sensible Software's Shoot 'Em Up Construction Kit.

V.I.O.S is an awesome frantic laser blazing game inspired by the classic Japanese video games you seen in the arcades back in the late 1980's to the 1990's.

Versatile Intelligence Operations Scout). Once again, The

Federation are sending two new V.I.O.S recon pilots into

Rynax territory. Constantly advancing the Rynax foothold grows ever stronger. This our last stand. Engage and eliminate the enemy on contact, and gather intel to the location of any large scale threat. The fire power and armour of these could be too strong for your upgraded

V.I.O.S craft, but our battle station will support with it's ion cannon once it has fixed co-ordinates on it's position. Go give the enemies a major blast over. We know that you will want to.

At any time during play of VIOS 2011, player 2 is welcome to join in the fun. Just press the fire button and start laser blazing those evil scum-bags to save your world from a mass holocaust.

Commodore Free Magazine Page 7

www.commodorefree.com

Commodore Free E-Cover Tape #2

By Richard Bayliss

RETRON

(C)2012 Arcadestation

Programming: Arcadestation (Using SEUCK)

Enhancements: Richard Bayliss (inc. gfx)

Graphics: Arcadestation

Music: Richard Bayliss

Genre: Shoot 'Em Up (SEUCK Vertical)

Controls: Joystick in port 2

Here's an exclusive cover tape game which TRON fans may probably enjoy. It is a vertical scrolling blaster by

Arcadestation, featuring a new front end, in game music and enhancements. Retron has really difficult but fun game play, which SEUCK fans will probably enjoy experiencing.

The Phase One mainframe computer system has been infected by wide spread computer viruses. You have been assigned to program a solution to the wide spread of those viruses. If the virus spreads even further, then it could result to complete chaos.

Fly the Retron ship through the matrix of the mainframe system. To find what has been causing the main problem with the mainframe computer system and destroy existing viruses in sight. The Mega Virus, is a huge battle tank. To be able to destroy it (To stop the wide spread of viruses).

You must find it first.

Zapping at viruses during the journey may be quite helpful, but it doesn't really help when the viruses are throwing out deadly invincible charges. If your Retron ship crashes into the matrix, a virus or its charges. Then one of your ships will fizzle out.

Have you got what it takes to destroy the Mega Virus, before a huge virus widespread through the mainframe system – Causing possible Armageddon to the world. This planet needs a good programmer, and it is YOU who has to fight the Armageddon hackers' latest weapon.

MEMORY

Public Domain Software

Programming: Pocok/Lethargy

Music: Ollie/Pride, Cane/ADSR

Genre: Puzzle (Memory)

Controls: Joystick in port 2

This was a game I remember quite well and was perfect for

Commodore Scene back in the early 2000's. Now Memory is here once again with Commodore Free (Since it is a PD game). So what is this game all about?

A series of cards are spread across the table, upside down. It is up to each player to select two cards, hoping that each one will match. If it matches, then the player gets the points. The cards will also be discarded from the table. If however, there is a mismatch between the two cards. The cards get covered again, and it is up to the second player to participate in the game.

Commodore Free Magazine Page 8

www.commodorefree.com

Commodore Free E-Cover Tape #2

By Richard Bayliss

TAPE MASTER PRO V2.1

(C)2012 The New Dimension + Element 114

Programming: Richard Bayliss, Martin Piper

Genre: Utility – Tape Mastering

Controls: Keyboard only

To end this issue's cover tape, we have something fun for you all. It is also fully documented on this page. Have you ever had the dream about mastering tapes, with loading pictures, and music playing in the background? Well, with thanks to this utility and Martin Piper's IRQ tape system source, it is most definitely possible.

First of all, go into the scroll text editor and type in:

PLEASE WAIT … NOW LOADING – WOOLLY JUMPER

… PROGRAMMING BY RICHARD BAYLISS … GRAPH-

ICS BY SHAUN PEARSON AND STEVE DAY … MUSIC

BY RICHARD BAYLISS … (C)2012 THE NEW DIMEN-

SION … @

So then, why do we need an @ at the end of the message?

This is so that the loader text can restart again, while waiting for the next file to load. The scroll text editor has a limited area to type. Thus you should not go past the last green char. Always remember to add @ at the end. Pressing RETURN/ENTER will store the scroll text and take you back to the menu.

When programmers have their own limitations to mastering programs to tape. Either they pass it over to someone else, or used an existing tape mastering tool, which just had a plain loader. We know that tape loaders, such as Novaload,

Visiload, Burner, Megasave (CHR loader) and RasterLoad were pretty common back in those days. But Thunderload is somewhat special. With an IRQ tape loader system and additional programming. You can get the system to do various things (Like you already saw what I did on this issue's cover tape – and tnd entries).

Now the text has been edited, you can use the colour editor to select the char colours of the scrolling text. (Select the scroll text colour editor from the menu). When you edit the colours for the loading text use keys @ = Black, A = White,

B = Red, C = Cyan, D = Purple, E = Green, F = Dark Blue,

G = Yellow, H = Orange, I = Brown, J = Pink, K = Dark Grey,

L = Medium Grey, M = Light Green, N = Light Blue, O =

Light Grey. You can only edit 1 line for the character colours. Once you are finished with the text entry, press

RETURN/ENTER again to store it and return to the menu.

The next part will be the fun part. It is one option no other tape loader/mastering system ever had, which makes this tool pretty unique. You have a wide choice of the loading stripes around the border scheme. There are the colour cycling ones (Where the colour cycle takes place per block loaded from tape), you can choose the same stripes scheme without the colour cycling. Or to make things more fun, you can choose the AND or ORA colour scheme. For this one, the boot loader will not show what is happening, but will load the IRQ loader system. The IRQ loader system will load with the AND/ORA mode colour scheme selected.

For a very classic loader appeal, you can choose the multicolour loading stripes. Or for a professional appeal.

Just a plain black screen with white thin loading stripes

(Like Hi-Tec Software used to when displaying their logo/loading picture with their loader). Once you're done

Tape Master Pro V2.1 allows you to create your very own

IRQ tape loader, with some limitations. First of all the Scroll text message entry is very limited. The music can only load

$1000-$2000, and cannot override $2000. Pictures loaded into the loader can only be built in the format of Koala Paint.

I will give you a simple tutorial shortly. To help you get started. You can also select the tape turbo speed. From the fastest speed, to the slowest speed. There's also the loading colour bars which you can choose from as well.

As well as Tape Master Pro V2.1. I thought we should include an example tape master file for you to extract to disk, and try out for yourself. Here is a simple guide on how to make your very own tape master for

Woolly Jumper

(The TND release, not RGCD version we gave away last issue.)

Commodore Free Magazine Page 9

www.commodorefree.com

Commodore Free E-Cover Tape #2

By Richard Bayliss

playing around with this option, press RETURN/ENTER to store the loading stripes.

The next thing to choose is the loading/mastering speed.

The loading speed is incremented by $10. The fastest speed to choose (Selecting the first option) is $80. This is a higher speed than Freeload's loader, itself. The performance of a high speed loader is less reliable for some duplication. Selecting the second or third master speed is pretty good and should be reliable enough. I usually choose speed $a0, just in case of poor duplication. My

C2N behaves strangely now and then. The slower the speed, the longer the music can play :)

JUMP ADDRESS: This is the start address for the decruncher system / game start. You game must always use the $0801 load address, as it will be relocated when mastered to tape. Woolly Jumper uses SYS2061 (if you list it).

To convert this to hexadecimal, you can use a

HEX/DECIMAL calculator in the Action Replay M/C monitor.

Typing:

N 2061

The result will be $080D

So type in $080D for the jump address.

TAPE FILENAME. This is the name of the actual program on tape. This will appear on screen in white and printed on the top left corner of the screen after it is found. Type in WJ if you like.

Now that the selected master types have been selected.

Your next option will be to master the tape. Well, before we can actually do that. You will need to have a disk ready with all of the Woolly Jumper files saved on to there. Here's what the tape loader will ask you.

ENABLE FLASHING TAPE LOADER SPRITE Y/N? This is to indicate that the flashing of the sprite shows a very good load. The sprite will always appear on the top left of the screen. Then after a loading picture appears, the sprite is moved to the bottom left of the screen. Select whether or not you want the flashing tape loader sprite. Then move on to the next part.

Now the main files are typed in (Hope you made no mistakes there else it'll be back to the drawing board again).

Select 'Y' at the prompt asking if you wish to save your tape master. Type in the file name of the tape master you wish to save. Ensure all files (Music, Koala Paint Picture and

Game) are on the same disk, then save the tape master to the same disk.

MUSIC FILENAME: Enter the name of the tune which has been saved to the disk from the example file (Unless you'd like to add music of your own). Music must always load from range $1000-$2000. If a tune loads from $1000 and is less than the range. That's okay. Remember to add a * at the end of the file name to load. Else the loader will read spacebar as the rest of the files.

Now reset the C64. Load in the file name of the tape master, which you saved to disk. Then type in SYS49152.

The border will flash with multicolours with a message

'PRESS RECORD + PLAY ON TAPE'. Do exactly that and the files will master to tape (Unless you have been unlucky enough to have made a mistake with the file names). After the tape mastering has finished. The C64 will reset. Now you can load in your program with the mastered loading picture with music.

MUSIC INIT. Most music players these day initialize at

$1000 and play at $1003. Tape Master Pro will always want to play the first existing tune in the player routine.

Example init and play will follow shortly.

MUSIC PLAY. Most music players play at $1003 these days. Here's a key of what music players init and play at which address.

NEXT ISSUE:

Well, I am not going to tell you what's going to be on the next cover tape. We'll just keep that secret :)

For future submissions of your own games, demos, tools for the cover tape. Please email

[email protected]

.

Common music players INIT $1000, PLAY $1003. These are Goat Tracker, Demo Music Creator, JCH Newplayer,

Cybertracker, Music Mixer, Voice Tracker

USA Music Assembler: INIT $1048, Play $1021

Future Composer: INIT $1000, PLAY $1006

For the Woolly Jumper loader tune, select INIT $1000 and play $1003, as I used Goat Tracker for the loading music.

PICTURE FILENAME: Type in the name of the Koala paint picture and add a * at the end of the filename. Some Koala

Paint pictures use an inverted SHIFT+A character followed by PIC. You can use ?PIC FILENAME* for Koala painted pictures.

PROGRAM FILENAME: Type in the name of the game in which you wish to master to tape, followed by a *.

Commodore Free Magazine Page 10

www.commodorefree.com

Readers Comments

WHOOPS looks like an Error

From:

Mat Allen

To:

[email protected]

Sent:

Thursday, 4 October 2012, 10:22

Subject:

Commodore Free issue #64 fering with the datasette, and when we turned them off, everything suddenly became a lot more reliable. Still, nothing like playing up a little for the camera, and shoving a couple of jokes in for the people at home to laugh at that went over the kids' heads.

Hi,

Nice issue, #64. I'd expect that on the C64 heh. I do occasionally read the magazine, but this one obviously is a celebration of sorts.

But you're right, if I'd had my way, I would have been using a disk drive instead! And different games. But the producer didn't want anything violent per se (although I managed to get Last Ninja 2 in there at the start of the piece), hence why

Buggy Boy was picked. It was going to be Armalyte, but the aforementioned interference rendered loading it moot. If it had worked, oh boy, would have loved to see the kids try to play that and survive more than 30 seconds heh.

Just thought I'd throw an email your way to identify myself as "that guy" who is in the BBC news report for the 30th anniversary of the computer. Andrew "Merman" Fisher knows me quite well for starters. And Kenz. And quite a lot of other people in the general C64 online scene. Especially those who like cartridges. I'm part of the Gamebase64 project, and

Peter Rittwage's NIBTOOLS and the Kryoflux preservation too. I moderate Lemon64, write for Retro Gamer, and sit on quite a substantial collection of games. So I figure I was a pretty good fit for talking to a bunch of kids about what we had to go through in order to play games when we were young!

To clear up a point, the BBC wanted to demonstrate the experience most kids would have had with the C64 during the

80s, hence the reason why we were using tapes. Everything was working fine at home until I brought in my set-up to use for the filming. Towards the end of the filming I actually worked out the remote microphone transmitters were inter-

Anyhow, keep up the good work out there :)

Mat Allen

(Mayhem)

COMMODORE FREE

Mat WHOOPS sorry didn’t read the note at the bottom that said it was you doing the demos, yes Of course I know you! I just haven’t seen you in person or seen you in a picture before, I was just a little irked that the BBC tried to make out the C64 was unreliable and only had tape games, and of course a lot better graphically than games like buggy boy.

Oh well pays me to keep a calm head and read the text next time

PARTY TIME !

----- Original Message -----

From: Berry de Jager

To: "[email protected]

Sent: Monday, 8 October 2012, 11:08

Subject: SX64 party

COMMODORE FREE

Thanks for the Update I have re printed the articles for people to read in this issue will this be ok

Hey there,

Reading the last Commodore Free issue I have seen lots of nice articles. Two of them I really like: the celebration of the

30 year anniversary and the VIC-314 project. I have done some similar project, see http://c64.berrydejager.com/ssd64/ .

Response from Barry

Berry de Jager

Sure, certainly like some exposure on this. The party page is a little dynamic as I add info once in a while.

I am also working out a way of using Ethernet Wi-Fi bridge to make sure we can browse, tweet and read out email using the SX-64 while being at Starbucks.

Also I am organising an international offline SX-64 party in

January 2013, see http://c64.berrydejager.com/januari-

2013-commodore-sx-64-month/ .

Please stress out that people can organise their own, locally hosted, party under the SX-64 celebration umbrella and have them register it with me so we have a one-stop-info location.

Would you be so kind to read this as it might be of interest to you. Please let me know what you think of it.

This is going to be fun!

Kind regards,

Berry de Jager

The Netherlands

Thanks in advance!

Barry

Commodore Free Magazine Page 12

www.commodorefree.com

- January2013 –

Commodore SX-64 month

‘Who’s keeping up with the Commodore’

Let’s keep up with the Commodore especially on the anniversary of the executive, luggable edition of the best computer ever. So therefore I would like to propose a semi-virtual meeting, to keep our eco-footprint as low as possible, by meeting up with some friends and their SX64 in a local cafe.

Click here to find your local coffee brewer .

http://www.starbucks.com/store-locator

Why shouldn’t we rejoice the 30th anniversary of the good old Commodore SX-64 at a place where the corporate suits and students show off their latest gazillon-megahertz lapware ? Just bring your SX-64 along and enjoy a coffee, first round is on me, when I am physically at the venue.

What can you nowadays do with your SX-64? At least everything you need is in the box. Take some pleasure of enjoying

Who doesn’t recall the catchy tune:

Who’s keeping up with the Commodore… because the

Commodore is keeping up with you!

The Commodore SX-64 was announced in January 1983 and released a year later and sadly enough discontinued in 1986.

So January would be a perfect opportunity to celebrate however we can schedule parties all year long… or even until

2016, which is a little far-fetched. So when January is not the best of the year, wintertime, feel free to schedule another time .

demos, play a game with your friends or ever do some serious accounting with your friends. And if our are really eager

Twittering on the Commodore (SX-)64 is still an option. So you don’t have to let go on your daily habits

So if you like this idea, please sign up and drag your gear to your local, or not so nearby coffee-club and have some fun!

First coffee is on me, when I am also in the vicinity.

Commodore Free Magazine Page 13

www.commodorefree.com

Latest PRESS PLAY ON TAPE news

Hi PPOT Fans

News

We just wanted to let you know of two upcoming concerts in the near future:

November 10th we’re playing on Nørrebro, Copenhagen as part of the CPH:DOX filmfestival. A documentary about the Game Jam event called “48 Hour Games” will be showned as an interactive movie, where the audience can influence where the movie is going. Afterwards there will be a dual concert with Akiri and

PRESS PLAY ON TAPE. Both bands have contributed music to the film. Read more about the event and get tickets here:

http://www.cphdox.dk/d/film.lasso?e&s er=2022&s=2012012

sells games and other stuff for the C64! They recently updated their website and have switched to a new shop system with a great deal of advantages. One major advantage will be that we will be able to offer all our games as digital downloads as well. Physical copies will be available as well, but they will be strictly limited - so in case you want to hold a disk with a C64 game in your hands that was produced this century don't hesitate and order before it's sold out!

Check it out:

http://protovision-online.de/

Regards,

PRESS PLAY ON TAPE

November 23rd we’re playing again. This time Odense, Denmark to celebrate the birthday of both the Commodore 64 and the local club www.klubgolem.dk If you live in Odense or nearby we hope to see you there! Tickets are sold at the entrance. Spread the word and read more about the event here:

http://www.facebook.com/events/4454

08832161823

And finally we want to let you know about our friends at Protovision, Germany. They’re running an online shop which

AROS Vision 1.5.4. uploaded

The number of people who have now downloaded

AROS Vision 1.5.3. more than 1200x

AROS can be downloaded here: http://www.nataminews.de/html/distr..._download.html

more information: http://www.nataminews.de/html/aros_vision.html

One big improvement is full integration of WHD-

Load (newest version) with preinstalled "AROS

Rom Replacements". That means hundreds of 68k games work out-of-the-box without needing original ROMs.

A updated list (in progress) is here: http://www.natami-news.de/html/compatibility.html

(with original ROMs from AmigaForever almost all games work) As a kind of demonstration I was allowed to install "Lure of the Temptress"

(WHDLoad-Version).

Additional changes/additions:

Amistart (Amikit-Version, thanks to Jan, Ken and

Darius)

AGA (Scene) Demos for demonstration free printer-driver

Annotate

Inga

AmiArcadia

ScummVM AGA

AmiMastergear smaller additions like new includes for Amiblitz

Sqrz (HD-Version)

Brutal Homicide (with permission)

Commodore Free Magazine Page 15

www.commodorefree.com

News

REVIVAL STUDIOS RELEASE 2 GAMES FOR THE

UNEXPANDED VIC 20

Commodore Free

Producing games for the VIC 20 without a memory expansion can be a difficult task, however these 2 games show again that the machine is more than capable of producing something of quality, Revival studios also produce games for a number of “retro” systems here is the YouTube link to their channel http://www.youtube.com/user/revivalstudios where you will see a version of the unexpanded VIC game

Avalanche looks really good!

In fact its reviewed later in this very issue

Here is the launch information ........

Avalanche (20120)

Avalanche is a fun action game people can just pickup and play. The player has to shoot the various gems that are falling down from the top of the screen.

The gems are marked with symbols and the player has to match up the symbol of his ship with the symbol on the gems.

The speed of the game will automatically increase during gameplay. Shoot strategically and get combos of 4 similar gems in a row to decrease speed and gain extra points.

How to play:

Use keyboard or joystick to control your ship. Left and right movement will move your ship through the different columns, while up and down will change the symbol on your ship. Press fire to shoot.

Release info:

The full game is available on Cassette Tape and as Digital

Download.

You can 0rder the full game on cassette tape for: 7,99 euros, or as digital download for: 3,99 euros by emailing to: sales

@ revival-studios.com

If you buy the tape version, you will of course get the digital download for free.

http://www.revival-studios.com/?page=139

Game features:

- Available on Tape and as Digital Download

- Runs on the unexpanded Commodore VIC-20

- Easy to pickup and play type of game

- Multi-coloured Graphics

- Flicker free gameplay

Commodore Free Magazine Page 16

www.commodorefree.com

News

Mayhem (2012) released for the unexpanded Vic 20

(review in Commodore Free next month)

Wizzy's latest invention went terribly wrong! It exploded and all kinds of parts are flying across the room!

Your goal is clear and simple: Avoid the debris while running around and picking up parts to gain points!

How to play:

Use joystick to control Wizzy and avoid the debris, while collecting parts to score!

Game features:

- Available on Tape and as Digital Download

- Runs on an unexpanded Commodore VIC-20

- Multi-coloured graphics

- Flicker free gameplay

Release info:

The full game is available on Cassette Tape and as Digital

Download.

You can 0rder the full game on cassette tape for: 7,99 euros, or as digital download for: 3,99 euros by emailing to: sales

@ revival-studios.com

If you buy the tape version, you will of course get the digital download for free http://www.revival-studios.com/?page=140

digital talk released #95 http://noname.c64.org/csdb/release/?id=111781&rss

Commodore Free Magazine Page 17

www.commodorefree.com

News

ACE128 UPDATED VIDEOS AND INFORMATION

ACE128 receives another update

BLOG NEWS

lished by

Miro Karkuš leased demo!

Editions:

New demo release and presentation of TGUI Pub-

Current work:

TGUI feature adjusting

ViSiOnS development

in OS features finishing interlaced VDC modes rewriting whole code of 8-bit Edition

Window drawing & handling

Done:

TGUI basic interface

SinCore

VDCImage 1.6

VDCviewer 1.0.8

ACE128ICE 4.1.2

Desktop validating

Keyboard layouts

National charsets

Pointer handling

Icons handling

Picture Viewer

Graphics

Keyboard layouts

• 12.10.2012 7:55:43 we have done a lot of work. We created the

basic concept

of the new feature of the OS

TGUI

(Text Graphical User Interface). And from this basic implementation you can see we have

SuperCPU128 available, uses its speed

- uses WDC65816 CPU native mode at 1/20MHz,

SuperCPU128 required, optional with SuperRAM testing and adjustment 256 colours VDC mode

newly re-

LOOK AT DEMO AT OUR WEBPAGE!

The Graphics are not yet finished, Dirk is working hard but sadly we don't have a lot of spare time...you can read about new features at webpage...

Workspaces, TGUI and more...

Look at and let us know...

8-bit Edition

- uses MOS8502 CPU native mode at 1/2 MHz, if is

16-bit Edition

Current state

OS status:

Updated:

October, 12, 2012

in development

- 40 col. mode: TGUI Text-mode GUI with text based applications and

VIC chip requests

- 80 col. mode: GUI with selectable resolution colour/monochrome modes

- Console (Command Line Interface) - Text mode of GUI, BASIC V7 derivate, JiffyDOS support or ACE128DOS 2.0 support

- Multilingual User Interface (MUI)

- Desktop workspaces available by flip (every workspace has own resolution and own wallpaper)

- resizing and moving windows in 8×8 / 8×4 / 8×2 / 8×1 pixels cells, in monochrome mode smooth scroll pixel×pixel

- screensavers

- DisplaySaver - turns after selected time colours on VIC and VDC screens to black

- wallpapers

- support of 8×1 / 8×2 /8×4 / 8×8 colour cells / monochrome graphics, icons

- RTC / calendar

- search engine

- volume control

- "Run in 64 mode" option

- "SuperCPU optimization" option

- three button mouse support and buttons combinations for easier access

- mouse wheel support by Micromys

- STOP+RESTORE as equivalent of CTRL+Alt+Del from PC - computers

- Fast Applications Switch: ALT+TAB / ALT+SHIFT+TAB

- multi-clipboard: text / graphics

- multitasking

- System Configuration Manager: detailed system configuration

- DMM (Dynamic Memory Management) - totally relocatable code in RAM

- possible DISK SWAPPING if is not enough RAM, for users with

CMD RAMLink, CMD RAMDrive, or other fast solution...

- Configuration of maximum running applications at the same time

- File Sharing: indication in which applications is file used

- hibernation of system

- restore point

- users free registration at support[at]mirkosoft[dot]sk - for all news and fixes via email

- possible EPROM upgrade for U36 Socket including BIOS and default setting and fast system start

-

little games

WEBSITE http://ace128.mirkosoft.sk/web/index.html

BLOG http://ace128.mirkosoft.sk/blog/index.php

Features

- input devices support: mouse / joystick / lightpen / trackball / touchpad / paddles / lightgun

- network support

- printer output

- MSI (Multi-Screen Interface):

Commodore Free Magazine Page 18

www.commodorefree.com

SC3 Arcade Party - Saturday, Nov. 10

-----Original Message-----

From: robert bernardo

Sent: 14 October 2012 02:35

To: Commodore Free

Subject: SC3 Arcade Party - Saturday, Nov. 10

You've waited a long time! Now it's back! The SC3 Arcade Party returns Saturday, November 10, 2012. And the

SC3 Arcade Party is going back to its roots, back to the backyard in Claremont, California (east of Los Angeles). Come join the hundreds

(ay-yay-yay!) of partygoers as they cram themselves into the backyard in order to play on dozens and dozens of classic arcade games, gaming consoles, and retro computers.

(For the attendees' use, I myself am bringing the

ArcadeRetroGaming.com's Multiple Classic Computer 216

(MCC-216) with its C64 and Amiga cores and a PAL Amiga

CD32 with a selection of CD32 games.)

The party starts at 4 p.m. and lasts until midnight. Pizza, soda, and other drinks and snacks will be available. Mone-

News

tary donations are appreciated! Hey, the food and electricity have to be paid for.

:) So, a donation of at least $5 per adult attendee is requested.

Fill out the RSVP form at the link at http://www.sc3videogames.com/ in order to attend the event.

Then you'll be informed via e-mail of the exact location of the party.

See you at the SC3 Arcade Party!

Robert Bernardo

Fresno Commodore User Group http://videocam.net.au/fcug

PDXCUG.org meeting

COMMODORE FREE

Yes I know it’s late but just keeping you in the loop (that’s management talk)

---------------- Original Message -----------------

Subject: Reminder: PDXCUG.org meeting Thursday, Oct. 11,

2012 6:00pm PDT

From: "PDXCUG Admin

Date: Wed, October 10, 2012 9:35 pm

---------------------------------------------------

Hello, PDXCUG.org Fans!

Unable to attend the meeting in person? We have a fun alternative:

As usual, we'll have plenty of time for these activities:

- Gaming Time

- Show & Tell: Bring anything you'd like to show off

- Tinker Time:

-- Soldering

--Hacking

--Coding

--Repair

--Cleaning of equipment

What you can bring:

- Your favourite Commodore to play on

- Show & Tell item - have something neat to show everyone?

- Equipment that you want diagnose, fix, or just show off

- Cool Commodore gear or software to share

- Your significant other - plenty for all to do and enjoy

*** Try the NEW COMET CHAT v1.4 ***

Come chat with us using your RR-NET, Comet64, Flyer or VICE

- We'll be chatting with you live from the meeting.

- Interact with others Commodore enthusiasts around the world.

- Play online games with others http://pdxcug.org/Portland-Commodore-Users-Group-

Meetings-Live-Online.asp

See you there,- Goog

PDXCUG.org is Portland's Official Commodore Users Group

Serving the greater metropolitan area - Portland, OR USA

Meetings every 2nd Thursday of the month

Twitter: @pdxcug http://pdxcug.org

Find us in the c64 chat room

PDXCUG.org Meeting:

Thursday, October 11, 2012 @6:00 pm

More info & location: http://pdxcug.org/meetings.asp

Agenda:

- ECCC Review

- Look at some software and other items from ECCC

- Quick Brown Box

- CommodoreServer updates/planning

Commodore Free Magazine Page 19

www.commodorefree.com

News

Second Edition of A Commodore 64 Walkabout Coming

Soon!

COMMODORE FREE

Information from http://www.c64walkabout.com

about the commodore 64 walkabout book

While on the topic of books, if you like my writing, why not check out my Sci-Fi series set on the world of Hadanum?

You can start with the full-length novel Globe-Hurler, or jump right in to the episodic Hadanum #1. Each book and episode has C64-related Easter eggs inside (Globe-Hurler has a few obvious ones), so have fun finding them!

http://www.c64walkabout.com/

COMMODORE FREE

The original information about the book launched in 2011

News from the website

It's been just over a year since I published

Walkabout

A Commodore 64

, and the response I've seen from the community since has been amazing. Thank you if you were one of those who bought it.

Because so much can happen in the C64 scene in only a year, not to mention the valuable feedback from readers I've received, I've started work on a revised edition of the book. I don't intend to require anyone to purchase the book a second time in e-book format since it should be an easy matter to upload the new version on both Smashwords and at Amazon's site.

However, due to popular demand I will make colour and black and white versions available in print format. Currently the book is on sale in a value-priced when I price it out.

black and white edition at Blurb.com

, but I was never completely happy with how the horizontal screen shots were forced into pages of their own and will work in new photos and images to adjust to the format. A colour edition would be significantly more expensive than the current B&W edition from Blurb's printon-demand service, but I hope it will not be unreasonable

Among the new additions in content will be a chapter on programming and creating on the C64 and VIC-20. New bits will be added to nearly every chapter as well, increasing the book in length. If you have any suggestions for additions to the book, let me know and I'll consider adding them!

eBook or Paperback

For only $0.99, you can buy this eBook from a few places, but I'd recommend purchasing it from Smashwords because it allows you to download it in a variety of eBook formats.

You can also head over to

Amazon sion.

if you only need the

Kindle ver-

If you're in the camp of those who prefer printed books, you can get it in paper form

Blurb for just

$8.95. Either way, you won't be disappointed in this easy-reading, full-content book.

I CU 64 - v0.1.5 Mathfigure RELEASED

See issue 37 of Commodore free for details about the program and an interview with Mathfigure and more information about this amazing software that lets you view the Commodore 64 memory in real-time!

ICU64 for Frodo Redpill v0.1.5 - Released

Eventually, after 3 years, a new version of ICU64 is ready for download . Several bugs and issues have fixed, additional functionality and features have added. Note however, that this version is not the one that I was working on the last years (i.e. v0.2). This is only an update of the initial release, where I have paste as much code as I could from v0.2 without corrupting the functionality. My goal is to make the raster view equally significant with the memory (matrix) view, so the development is being continued...

http://icu64.blogspot.nl/2012/09/icu64-for-frodo-redpillv0.html

Commodore Free Magazine Page 20

www.commodorefree.com

News

THE Hungarian Amiga magazine

The latest release of THE Hungarian Amiga magazine is now available to download.

I know it's more likely an eye-candy in its actual form for those who can't speak the language, but still can contain vital information as well as encouragement of support towards our community for everyone.

English version, together with the previous releases are

TBD.

You can find it here: http://amigamania.amigaspirit.hu/Ami...005_OnLine.pdf

Ghislain UNCOVERS SPACE WARS FOR THE VIC 20

These are his Comments http://sleepingelephant.com/ipwweb/bulletin/bb/viewtopic.php?t=5892

Considering that I'm pressed for time and that I'm creatively burned out somewhat, it's fun to unearth these lost games that I used to work on and put them out with a (c)opyright date from the past.”

“One of the advantages of now having an SD2IEC reader for my real VIC-20 is that it's easier to navigate old disks than even using an emulator. I transferred much of my old disks, regardless of content, to D64 images several years ago.

You can download the game from here https://sites.google.com/site/gdbsite5000/main/spacewar z.d64?attredirects=0&d=1

Also uncovered is a Hires version of the game

I came across several games

I had worked on that I thought were lost forever, or that I had even completely forgot about. One of them was a tongue-incheek text adventure tribute to the Star

Wars movie called "Space

Warz". My best guess is it was made in 1993, plus or minus two years. It has a 40+ verb-noun word vocabulary, with 15 locations.

Works on the unexpanded

VIC-20.

Commodore Free Magazine Page 21

www.commodorefree.com

News

SFX Recorder 1.0

Digital Recorder and playback software for the Commodore

64 Download it from HERE http://csdb.dk/getinternalfile.php/109154/sfxrecorder.zip

Includes these instructions and the source code

F5 - Save Sample

Saves the current sample buffer to disk. RETURN to accept file name, RUN/STOP to exit without saving.

The SFX Recorder is a small program to use the Commodore

SFX Sound Sampler as an 8 bit audio sampler.

F5 - Load Sample

Loads a sample file from disk. RETURN to accept file name,

RUN/STOP to exit without saving.

Options:

F7 - Show Directory

Displays the directory of the last used device. To return to menu, press any key.

F1 - Audio Oscilloscope

This option allows you to view and hear the sampled audio from the audio input.

You can use it to change the source volume and sampling volume so that no clipping will happen. The sampling will immediately played via the audio output of the SFX Sound Sampler. The SID won't be used, so don't expect any audio from the normal AV cable.

F8 - Show Error Channel

Displays the error channel of the last used device. To return to menu, press any key.

The sample frequency can be changed by pressing + or - to increase/decrease the clock cycles used for the sampling loop.

To leave the oscilloscope mode, press RUN/STOP.

F2 - Audio Play

Play sampled audio with screen turned off for highest quality.

To leave the play mode, press RUN/STOP.

Graham/Oxyron 03.10.2012

F3 - Start Sampling

This starts the sampling using the selected sample rate. Currently only 48kb memory will be used, so the sampling time is rather limited.

A sample rate of

7819 Hz (2 rasterlines per sample) results in 6.3 seconds sampling time.

To interrupt sampling, press RUN/STOP.

F4 - Play Sample

Plays the current sample buffer with the currently selected sample rate.

To interrupt playing, press RUN/STOP.

ABOVE AND BEYOND DISK MAG RELEASED

http://csdb.dk/getinternalfile.php/108678/Above_and_bey ond_01.d64

http://csdb.dk/getinternalfile.php/108679/above%2Bbeyo nd%2301.prg

Commodore 64 Single file disk mag released

This is an English magazine in the form of a single (.prg) file and has been very well produced by the group Onslaught; the following articles are included: Editorial, Bitbreaker about the mufflon converter, Fungus on the U-Max protection, Moloch on modern game design and Peiselulli on Jars'

Revenge.

Commodore Free Magazine Page 22

www.commodorefree.com

REBOL Scripting Language will soon be Open Source

News

‎http://www.rebol.com/article/0511.html

Carl Sassenrath, CTO REBOL Technologies tend the design of REBOL do so with a full understanding of its principles.

REBOL is not like other languages, and you will soon discover that REBOL source is not like other source. Architecture and design are important.

The time has come for REBOL to be released as open source.

This is the only way I can see it regaining some degree of momentum and renewed interest -- not just within our REBOL community, but for many yet-to-be users who possess the curiosity or motivation to learn new and powerful programming concepts and techniques.

Here's my proposal

1. The R3 source code will be released under GPL 2

(most likely - still open to discussion.)

4. From time to time the dev-src will be reviewed, selected, debugged, polished, and integrated into relsrc releases.

In the end a language or system should help developers make their programming tasks easier and their products more timely, affordable, manageable, and agile. Too often, it becomes the opposite. Let's always keep that in mind.

2. The official source release distribution (rel-src) will be made available from the REBOL.com site.

What's next?

3. Developmental sources (dev-src) will be available on GitHub (or a similar service.)

So... this is it. Once R3 is released our course becomes irreversible. We'll all start paddling our canoes like mad in a small but rapid river... but one which I sincerely hope will carry us to a much larger ocean.

5. A small group of REBOL Masters (maybe three for now) will be in charge of such rel-src review, selection, revising, debugging, integration etc. as well as develop or encourage the development of new features, ports to new platforms, optimizations, etc.

6. My role will be to advise and guide such decisions to keep REBOL consistent with its principles, and I will hold the final power of veto, in cases where that becomes necessary.

Although it is unrealistic to assume we can filter/fix all impurities that might come about in an open environment, we should all strive to minimize the degradation that comes about by seeking an easy solution over the proper and well designed form of such a solution. Even the naming of each symbol, function, and datatype is worthy of thoughtful consideration. That is how I've always treated it.

Please offer your comments and advice on any of the above.

This is the final call. If you posted a comment on the prior blog that you want me to review again, please note its date and time. I'll go back and take a look.

My schedule is to finish this up next weekend and make the release by October 1st.

What I ask in return

If this proposal seems acceptable, there's one thing I ask in return.

That those of you who wish to influence and ex-

Jack 3.2.5 released for all platforms

DELAY tooltype. Value is no. of seconds.

AmigaOS OS4Depot http://os4depot.net/index.php?function=search&tool=simple

Classic (now available with or without FPU) Aminet http://aminet.net/search?query=jack

MorphOS Beta Available here www.lakemarketingandevents.co.uk/jack/JaclK_morphOS.z

ip (Debug mode enabled - I need someone to test it!)

WarpOS Aminet

Support website: http://jackforamigaos.wordpress.com

* Python ITC Extractor has been updated to version 0.3.2

which adds support for Apple's use of ARGB images in album cover artwork. Thanks to Simon Kennedy.

www.sffjunkie.co.uk/python-itc.html

* Moved PHP scripts to another server, older versions of

Jack will continue to run for a limited time only.

CHANGES SINCE 3.2.4

* AmigaOS 4.1 Update 5's introduction of asynchronously loading the TCP/IP at Workbench startup exposed a new bug in Jack. The DELAY tooltype was previously being ignored, this has now been fixed. If you still see an error message if starting Jack this way simply increase the value of the

This update brings everyone up to the same base-line so more fixes/enhancements apply to other releases in addition to the above list.

Commodore Free Magazine Page 23

www.commodorefree.com

News

X-bEnCh 0.73 Beta - The Amiga Game Launcher & More is out !

speed problem on little CPU (68000/68010) in the menu.

- Fixed the display too high speed problems on high end CPU

(68040/68060) in the menu and the launcher.

- Fixed a bad multitasking management when launching an

.exe file

YouTube video here http://www.youtube.com/watch?v=RPUlt9wDQmM

X-bEnCh is an Amiga game launcher & More …

In a 128 colours display

(ECS compatible), this Frontend can auto scan your hard-drive to find your WH-

DLoad games or your .exe

and organize them in launching listings. X-bEnCh also have an integrated CLI fully compatible with the

Workbench CLI feature.

You can download it here: http://www.jimneray.com

All your returns are welcomed ! :)

What's New ?

- Fixed the display low

AMIGA GAME DISKS FOR SALE

From:

Amiga Game Disks <[email protected]>

To:

COMMODORE FREE

Subject:

Now you can buy Commodore Amiga games on disk again.

We have a stock of nearly 7000 classic Amiga game titles on diskette from only £1* a disk.

95% are in English but we also stock many titles in German, French, Italian, Spanish, Polish, Norwegian and even Finnish.

NEW..

We have a much improved version of the Amiga A1200/A600 4 GB Compact Flash drive, with over 2300 games in WHDLoad format, only £32.00 plus P&P. If you haven't heard of these, they are fitted in place of your hard drive, but they are completely silent in operation.

Go to www.AmigaDisks.com

now, and relive a time when addictive games really WERE addictive.

Best regards,

Kevin M.

The AmigaDisks.Com sales team.

Commodore Free Magazine Page 24

www.commodorefree.com

News

PC WORLD REVIEWS C64 FOREVER http://www.pcworld.com/article/2010540/c64forever-relive-the-golden-days-of-the-commodore-64without-the-hardware-headaches.html

Cloanto's fantastically well put together “C64 forever” gets scrutiny from a PC World review, what sets this apart from other emulators is the “whole” package. The games and demos are vetted and you can see information about the games; who made them the year etc, and the package has been configured so you can play the game just by selecting it from the list and clicking the start button; not configuration or guess work is needed it’s just all click and play.

Quote from the REVIEW

By Jim Norris , PC World

C64 Forever features the same multi-tabbed media centre interface used by Amiga Forever. An enormous collection of classic games, over 100, are featured, including Arkanoid,

Lotus Turbo Challenge, Frogger and other old friends from your childhood. Equally impressive are the demoscene selections, which remain astounding feats of programming acumen. A player-explorable, Wolfenstein-style 3D textured maze coded by Oxyron is my favourite

Free Gift for Amiga.org Lifetime Members

NEWS FROM Amiga.org

Many have supported Amiga.org in the past by getting a Lifetime membership to help the site. To show our appreciation to those members that took it upon themselves to help

Amiga.org we would like to send you a special gift. Anyone that is a LifeTime Member and wants an Instant Download of Aladdin 4D 5.x ($99.96 Value) to enjoy please contact us at the link provided below.

http://www.discreetfx.com/contact.html

When we get an e-mail from you we will verify your Lifetime

Membership then e-mail you back a link to download your copy so you can Render the Magic.

http://www.amiga.org/forums/payments.php

More information about Aladdin 4D can be found via the link below.

http://www.discreetfx.com/Aladdin4D.html

Again thanks for supporting Amiga.org Lifetime Members and enjoy your gift. Anyone thinking about joining

Amiga.org as a Lifetime Member and helping the site can do so with this link.

We are only doing this for a limited time and the cost is $30.

Extra features that subscribers get are listed below and we sometimes give out added benefits and incentives to Lifetime Members that free members don't get. If you are already an Amiga.org lifetime Member and already own

Aladdin 4D 5.x please contact us about another free item we can give you.

Club Info 127 RELEASED

In this German disk magazine (d64) for the 264 series of the following articles: Forum Tips and Tricks. Programs: Musical keyboard, Sabrewulf, The Tower and Florbingel. Hardware: 6551 and 6529. Games Guide: Rocketman, Church of

Death, Jäger des lost Schatzes, Reaktionstest, Oil for Texas,

The Witness and Malprogramm. Brian Howarth http://plus4world.powweb.com/software/Club_Info_127

Commodore Free Magazine Page 25

www.commodorefree.com

Commodore 8-Bit Repair video from VCF East 2012

News

CBM engineer Bil Herd has posted part 1 of the video,

"Commodore 8-Bit Repair", which was filmed at the Vintage

Computer Festival East in May, 2012. You can find it at http://www.youtube.com/watch?v=DXRvCnmLj7A&feature=plcp

Eventually, he will also have a link to the video at his website -http://c128.com

Truly,

Robert Bernardo

Fresno Commodore User Group http://videocam.net.au/fcug

AmigaKit, now selling Commodore items.

AmigaKit, now selling Commodore 64 items.

Click AmigaKit at http://amigakit.leamancomputing.com/catalog/index.ph

p?cPath=61_74

Current items in stock at the time of writing include

- 10x 5.25 inch floppy disks (DSDD)

- Amiga Easy1541 Cable

- Amiga/C64 Joystick to C16/Plus 4 Adapter Cable

- C64 4-Player Deluxe

- C64 Forever 2012 Plus Edition

- Chameleon

- Chameleon Docking Station

- Commodore 64 / 128 / VIC20 Serial Cable

- Commodore C64 to Composite AV TV Cable

- Commodore C64 to Scart TV Cable

- Commodore: A Company On The Edge

- Micromys V4 Mouse Adapter

- RF TV Cable (C64/C128/Plus4/C16)

- XE1541 Transfer Cable

BUILD YOUR OWN SID

Jeff Ledger has developed a small SID music player using a

Parallax Propeller microcontroller and a SD card to read and play the SID music.

You can find out more here http://www.instructables.com/id/Build-your-own-Pocket-

SID-Audio-Player/?ALLSTEPS

The site includes a full parts list and step by step instructions

Here is what Jeff said about the project (taken from the website)

I've created a full kit that has everything included for this project, but I'm also including full schematics, source code, and parts list for anyone wanting to "roll their own" Pocket

SID Audio Player.

Commodore Free Magazine Page 26

www.commodorefree.com

News

Amiga Future #98 RELEASED

A new edition of the English and German Amiga (paper) magazine Amiga Future has been released In this edition:

Reviews: Zeus, Sqrxz, Worms DC: Kirby Conversion Set, Abbo, Dust Digger, Software Manager, AROS Vision, MorphOS

3.1, Scriba, X-bEnCh, OS4 Depot, Homebank, Paint, Hollywood Designer 4, Sketchblock, XAMOS and glUAE. Workshop: Data management in AmigaDOS (2), Mercurial (1) and

C-Workshop (15). Special: Classic Reflections 5 (Digita International) and Caanoo (1). Others: Interview Magnetic Fields,

Interview Sharrukin, Editorial, Content, News, Up2Date and

Letters to the editor.

AmiKit, the high-end Amiga on your PC, has been updated

AmiKit, the high-end distribution of classic Amiga software running on Windows, Linux or Mac, has been updated. Now it contains more than 340 software packages in more than

30.000 files that makes it, probably, the most complete and up to date distribution of classic Amiga software out there.

In addition everything is put together in a nice way, the system is fine tuned, friendly and... it looks great! :-)

The new 1.6.2 update contains 20 updated programs as well as various minor tweaks and improvements. It's automatically . Enjoy!

delivered

For more information and

free

download please visit

AmiKit homepage http://amikit.amiga.sk/

VCF East 8.0 - History of Commodore Part 2

From the Vintage Computer Festival East 8.0 , Bil Herd talks about working for Commodore from just before the departure of Jack Tramiel to the coming of Amiga http://c128.com/vcf

COPPA REMIX FOR THE VIC20

From Ronald Körber (Dusty)

Information from the author about the game from his website, a number of games are available to download for the

Vic

Coppa

(1985 version , unexpanded VIC)

Move your space ship with the joystick across the grid and thus turn all fields purple. For every changed field you earn

10 points, but you also lose 5 for every field that is already purple. There are four levels with different layouts. The indicator on the right-hand top of the screen is your fuel left.

I never managed to finish all levels without cheating lately, but I'm sure I did it back then when I wrote the game!

To get back into the VIC-20 programming and encouraged by some very nice replies to this website, I decided to develop 4 new levels for "Coppa". Hope you enjoy it!

http://vic20.lenneserver.de/index.php?option=com_conten t&view=article&id=3&Itemid=2

Commodore Free Magazine Page 27

www.commodorefree.com

Back in Time Live DVD limited stock now available again

News

* Rare bonus concert footage of a now legendary event *

SID80s in their original debut form as bonus footage!

Back in Time Live is a 3-disc professionally produced PAL

DVD (region-free). It's lovingly stuffed with live performances, composer and remixer interviews, and bonus video from two of our Back in Time Live events (2003 and 2004).

* Documentary hosted by Fred Gray *

Behind the scenes at Back in Time Live Brighton

It's now available at www.c64audio.com

!

Unavailable since 2008, we have now retrieved the last 100 brand-new copies. There will not be a repress, so this is your last chance to get something historical.

**** Disk 3 (Audio CD) ****

* A full Audio CD of highlight tracks not available anywhere else. *

**** Info ****

* This is C64 music history, and once it's gone, it's not coming back.

**** Disc 1 (St. Luke's, London, 2004) ****

* PRESS PLAY ON TAPE *

Including the best "Pumpkin Man" ever, and many of their best hits

* Stuck in D'80s (Mark Knight, Ben Daglish, Jon Hare,

Marcel Donne and Andreas Wallstrom) *

Including Deflektor, Spellbound, Rasputin, Way of the Exploding Fist, and more.

* Visa Roster (Swedish vocal remixers led by C64 star and demo-meister Mahoney). *

Including Sweet, International Karate, and Ocean

Loader.

Guest performers: the International Karate Precision fighters!

* C64 Mafia (Makke, Larsec) *

Fun with Makke and Larsec as they perform Perhaps-a-Doobie, rap notoriously, and run from Spiders.

**** Disk 2 (Brighton, 2003) ****

* Rob Hubbard playing his own C64 tunes on the piano *

Just Rob and his brilliant playing!

A full HD remake of Cinemaware's classic WWI Amiga game

A full HD remake of Cinemaware's classic WWI

Amiga game featuring never-before-seen content!

http://www.kickstarter.com/projects/85051606

2/wings-directors-cut

Commodore Free Magazine Page 28

www.commodorefree.com

·

·

·

·

·

·

·

AmigaOS 4.1 Update 5 Released

Steven Solie

AmigaOS 4.1 Update 5 has now been released.

More details and a place for registered users to download the update can be found at Hyperion's main web site .

http://www.hyperion-entertainment.biz/

The following AmigaOS platforms are supported:

News

·

Catweasel driver for floppy disk, SID chip and joystick support.

·

·

·

MIDI support now included via the camd.library

.

Professional photograph backgrounds provided by mediacube .

Improved Amiga 68K emulation. A full Workbench

3.1 installation is now included. Authentic Amiga

ROMs and Workbench files are provided in the new

Emulation drawer.

AmigaOS support is available via Hyperion's http://support.amigaos.net/ support forum .

AmigaOne 500 (460ex)

Sam440ep and Sam440ep-flex (all variants)

AmigaOne XE

MicroA1-C

Pegasos II

CyberStorm PPC

Blizzard PPC

A special thanks to the AmigaOS development and testing teams for their hard work on this release!

Besides the usual bug fixes, some highlights include:

·

·

·

Optimized DMA copy routines for 440ep and 460ex based platforms.

SM502 audio driver and Mixer for AmigaOne 500 systems (460ex).

Updated Radeon, R200 and Permedia2 Warp3D drivers. Per-application configuration is now possible to help work around bugs in old software. User documentation is provided on the wiki .

Scene World #19 is out!

NEWS from Scene world

Scene World #19 is out and we are very proud of this release (as usual).

This time with fully animated intro with graphics by JSL. And a Skype video interview with famous composer

Jeroen Tel http://sceneworld.c64files.com/video.php and our first colour disk cover http://noname.c64.org/csdb/release/?id=110619 done by designer Fee (CeS).

Please enjoy our new issue and download it from our Issue detail page.

Hope you like what you see, please support us and fill our vote sheet for next issue, too.

And we can also be found on Facebook now and Twitter.

http://www.sceneworld.c64.org

Commodore Free Magazine Page 29

www.commodorefree.com

News

AMIGA PORT OF Koules 1.4

These are the Amiga and Windows ports of Koules 1.4, a popular arcade game for Linux and OS/2.

Features include: 1-5 players, sound, triple keyboard and quadruple joystick/gamepad support, source code. The following features of the Linux and/or OS/2 versions are not implemented in the Amiga and Windows versions:

A reasonably fast Amiga is required to run the game at full speed. This game runs much faster on an RTG screen than on an AGA screen. The above applies to the AmigaOS 3 version. Ports for AmigaOS 4 and AROS are also available. The

AmigaOS 3 version uses Paula via the audio.device. If you remove the #define USE_PAULA and recompile, you can use

AHI sound instead. The AmigaOS 4 version uses AHI.

* network support

* mouse support

* relative joystick support

* user-selectable playfield size

* 3D intros/outros

* windowed mode (Amiga) and full screen mode (Windows)

* analogue joystick support (Amiga)

Usage

Koules can be run from the CLI or Workbench. No CLI arguments or Workbench ToolTypes are currently supported.

Game settings are loaded/saved from/to the Koules.config

file.

Koules is a fast action arcade-style game for UNIX, OS/2,

AmigaOS 3,

AmigaOS 4, AROS and Windows. It has cool 256 colour graphics, multi-player mode up to 5 players and sound.

System Requirements

Hardware Required about 512K free RAM

68020+

AGA/RTG

"Credits”

Sounds by Jan Hubicka.

Graphics by Jan Hubicka and Kamil Toman.

Programming by Jan Hubicka.

Joystick support by Ludvik Tesar.

HP-UX sound by Lutz Vieweg.

OS/2 version by Thomas A. K. Kjaer.

Story and script by Kamil Toman and Jan Hubicka.

SGI sound and creator effect by Rick Sayre.

Sound servers by Joe Rumsey and S. M. Patel.

AmigaOS 3 and Windows versions by James Jacobs of Amigan Software.

AmigaOS 4 version by Samir Hawamdeh.

AROS version by Matthias Rustler.

Thanks to Alexey Zubkov for bug reports

Recommended Joystick(s)

CD32 controller(s)

Flicker fixer

PowerPC

OS4/MorphOS

FPU

Sound card

Firmware Required Kickstart 3.1+

Software Required OS3.1+

Recommended AHI AlPatch (or similar) http://archives.arosexec.org/?function=showfile&file=game/action/koules-src-

1.16.tar.bz2

Bochs v2.5.1 - Amiga

Bochs is a PC emulator for AmigaOS 4. The program can emulate the x86 CPU, AT hardware and BIOS to run Windows,

Linux, DOS etc. on your Amiga. This version is a work in progress and is missing the audio and CD-ROM support

AUTHORS COMMENTS

Bochs is a portable x86 PC emulation software package that emulates enough of the x86 CPU, related AT hardware, and BIOS to run Windows, Linux, *BSD, Minix, and other OS's, all on your workstation

About this first port I made:

- It uses the SDL module for the GUI, the Amiga module would be to rewrite.

- Audio doesn't work, as there is neither SDL or AHI supported, only Linux

(with ALSA) and Windows modules are implemented.

- The CDROM has been activated but doesn't seem to work. I suppose that would

be useful only for installing Windows ... that our machines wouldn't be able

to run at a decent speed.

- I had problems with the keymap on my Sam440, it was not possible to use ':' !

But it works on my MicroAOne with a PS/2 keyboard.

- The provided SDL keymap is used by default but maybe you will want to modify it.

- I tried several games and I noticed that some of them have a display problem

but they were usable though.

- Instead of waiting more before this release, I preferred to make it available

even if no optimization has been done yet.

http://www.os4depot.net/index.php?function=showfile&fil e=emulation/computer/bochs.lha

Commodore Free Magazine Page 30

AMIGA FOREVER AND COMMODORE 64 FOREVER

Amiga Forever http://www.amigaforever.com

http://www.facebook.com/AmigaForever

C64 Forever http://www.c64forever.com

http://www.facebook.com/C64Forever

RetroPlatform Project http://www.retroplatform.com

www.commodorefree.com

C64SSD -The hardware transplant…

By Berry de Jager

After experimenting with VICE on the

Raspberry Pi the decision was made not to do a C64π project. I have done some loose research and some other

ARM boards. Next to the Raspberry Pi model B, many other boards i.e. Pandaboard ES, ODROID-X, BeagleBoard came to my Google search hits.

N2800 (dual core, each core two threads) based DN2800MT . Actually the board that StiGGy used, an Intel

D945GSEJT, is the predecessor of the main board that I have chosen.

The spec s are really impressive, just to name a few:

Being doubtful on the performance of the VICE on those platforms I have chosen the Intel Atom path which should provide me enough performance to make the new C64 more versatile. Also

Stiggy’s ‘Commodore C64 ITX PC’ inspired me to do a similar project. An

Intel based main board allows me a wider variety of operating systems. Also having all the important connections on the backside of the board is a noncompromisable requirement for me.

As the scope of the main board selection has now broadened the horizon I was able to set some more requirements although there is one major restriction: the interior dimensions of the

C64. The board could not be larger than the mini ITX form factor and on top of that not high than ~2.5mm\1 inch in the front side of the board. Most boards have the power connector on the front of the board and that is a problem for a C64 transplant.

Regarding powering the main board, another requirement stuck it’s head around the corner. An internal

PSU would certainly not fit into the casing and a picoPSU from

Mini-box.com

was too high for internal head space.

§ mini ITX, low profile only 20mm

(0.79 inch) high, just check out the 360° View here

§ HDMI and VGA ports and eDP/LVDS connectors

§ Many expansion options, even two miniPCI Express card slots, see interactive layout

§ On board DC-DC power (8v-19v) input allowing a wide range of laptop adapters to be used.

§ 3 years warranty (I hope that I won’t be needing it!)

So all this sound really promising… apart from the now poorly supported

PowerVR SGX 545, see this review at

LinuxTECH.NET

. But might change in the future, I always have hope!

So here is the shopping list:

So actually the wide range of possible main board was really narrowed down to a single few. Looking at the specs and versatility of the Intel boards I have made the decision to go for the recently released Atom

§ Commodore 64 “bread bin” style case

§ Keyrah USB-to-C64-keyboard interface by Individual Computers

Jens Schönfeld GmbH

§ Intel® Desktop Board

DN2800MT

§ Kingston memory 2 X 2GB (PC3 –

8500 CL7 204-pin SODIMMs)

§ Crucial m4 64GB mSATA (6Gb/s)

SSD , full length miniPCI Express form factor

§ Intel Centrino 1030, Wi-Fi and BT combo , half length miniPCI Express form factor

§ Laptop power supply, 100-

240VAC/19VDC ~60Watt

Picking the cleanest looking C64 which was in my stock made things easier. Actually the case was a little dusted but at least it doesn’t have any holes, switches, knobs or any other modification. Cleaning out the machine means: taking everything apart, all keys from the keyboard and the mainboard out. After a nice cleansing bath, using the grease eating Dasty , the C64 looks, feels and smell as new again.

Commodore Free Magazine Page 33

www.commodorefree.com

After around 0f years of 8-bit experience it is time for a change. The main board is replaced and a keyboard interface are now the new inhabitants of the good old familiar

C64 casing. The Keyrah interface is still not connected internally. Just plug in a cable from one of the many internal USB interfaces on the Intel main board on the Keyrah PCB, which is very easy. This gives the C64SSD the retro look and feeling of old skool computing.

The Keyrah interface, which really puts the slogan on the spot, connects the genuine C64 keyboard via USB back to the motherboard. Also the two joystick ports can be used for some good old retro gaming. The Keyrah will be connected internally to the motherboard on a later stage.

Clean, lean and mean that is how an computer should look like, also on the inside. Beside a few extra cables, to be precise: one internal USB connection from the main board to the Keyrah interface and a set of wireless cables connecting the on board Wi-Fi card to the outside world, this is all what is going to be inside.

The mainboard itself sports a 64GB mSATA card (which is positioned top left), the Wi-Fi/BT combo (perfectly lined up to right of the SDD card) and left to the big black heatsink the memory is located. This eliminates the messy SATA and power cabling

On the rear my C64SSD now flaunts the default but interesting connectors. From left to right;

§ Power socket for the 19VDC adapter

§ Two USB 2.0 ports

§ One Ethernet port (1Gb,100Mb,10Mb/sec)

§ VGA port

§ Two high current/fast charging USB 2.0 ports

§ HDMI port

§ Line out (green)

§ Mic in (pink)

It took me 4 hours to make this first version of the main board transplantation. After cutting, drilling and grinding the base outline, the rough shape was formed. It still took me some effort to make the half height I/O shield fitted into the lower part of the C64 casing. The most difficult part is fitting the top again. I used the a poor man’s Dremel, Ferm

FCt-300 Multitool , to cut out the large pieces, a large flat file

Commodore Free Magazine Page 34

www.commodorefree.com

for the rough outline and a set of needle files . The most part of the time is the measuring followed by the manual filing and the least time, around 15 minutes, I spend with the

230VAC powered Dremel-killer.

Still I need to do some small details on the hardware side of

The serial number of my C64, “UKB1663887″, matches the serial number as defined in the BIOS of the motherboard:

Now I need to find a nice distribution to run the software on… to be continued!

Update 2012-09-25:

Today I received the very cheap and perfectly working Wi-

Fi/BT antenna which I ordered through eBay at a Chinese reseller/manufacturer . It fits perfectly the tiny connectors on the Intel Centrino 1030 Wi-Fi/BT combo board.

my C64SSD but for now version 1.0 is a fact!

Nice detail, although I need to apologize for the bad quality picture (using an iPhone 4), on the serial of the machine.

Commodore Free Magazine Page 35

www.commodorefree.com

Update 2012-09-28:

As typing on the C64 works, you know that keys are missing or the combination are hard to remember for full functionality outside of VICE or so, I purchased a Rapoo E2700 keyboard . Although it isn’t a

BT keyboard, which I originally wanted for the clean look, the key sticking on the USB port is really small and it works perfectly smooth. The keyboard also sports a touchpad for (incidental) mouse work, besides the BT mouse which I use for regular work.

It’s size of the keyboard itself really tiny and only handy for incidental work, so this will push me to the C64 clicky clacky keys again, a lovely touch and sound.

Commodore Free Magazine Page 36

www.commodorefree.com

Galaxions review by Sixteen Plus

Title: Galaxions

Publisher: Solar Software

Year: 1984

Language: English

Genre: Shoot Em Up

http://www.commodore16.com/php/images/files/G alaxians.zip

Review By Sixteen Plus

I remember way back in 1985 when I first bought this game.

I remember being in a department store in West Ealing, London and there I found a bundle of C16 titles on display. I can't remember the selection they had, but I remember picking this one out.

unleash your laser bullets. On the first level the enemy doesn't fire back, but from level 2 onwards they will with increasing difficulty as you progress further. Once you've cleared the screen of enemies then it's onto the next level.

When you lose all 3 lives then it's game over. There are no extra lives gained. The only objective is to achieve the highest score possible, there is no final level. That's it!

I also remember playing this for hours into the late evening when I took it home. Well, my first choice of games then were arcade coin-op conversions which I used to enjoy on my annual holidays (where ever they were) on the British coast. A clone of Galaxian http://en.wikipedia.org/wiki/Galaxian by Namco were one of them.

This really doesn't take much explaining unless you've lived under a cliché rock for over 30 years. Most games of this ilk has you starting at 3 lives, but here you're thankfully given 4

(you'll need them). Enemy aliens will swarm onto the screen in separate groups in different patterns in turn. Your mission is to blast them away with your little spacecraft below. You can move left and right only, and pressing fire will

If you enjoy old fashioned single screen Shmups, then this might be your thing. The graphics aren't bad, the aliens are pretty well detailed and colourful although I feel that they're a little too much on the large size and that there isn't as many enemies as in the original arcade classic which may disappoint fans of the original, I admit it disappointed me a little when I first played this. However the ship itself is fine and moves adequately although it flicker a bit but not to distraction, plus the whole animation and swarming movements of the aliens is very good. I particularly like the star-field effect which scrolls downwards while you play.

The sound is also pretty good for what you would expect for this game. No intro music or anything but decent fire sounds from your craft and nice

woooo

effects when the aliens are

Commodore Free Magazine Page 37

www.commodorefree.com

Galaxions review by Sixteen Plus

swarming down on you.

I wouldn't call this a particularly easy game. Sure the first level is so simple that you could probably beat it with your eyes closed without losing a life, but it starts getting gradually tougher after this that by level 8 you will have done pretty well not to lose all your 3 lives.

There are some tactics to playing this game particularly whilst the aliens are first grouping together, but when they're all there and start swarming down on you, if you haven't disposed of most of them by then, then tactics just go straight out of the window as they start hailing their bullets down on you firing at the same time so much so that it can be pretty hard to dodge anything. Try and dispose of most of them before they're ready to swarm.

Presentation: 4

Only keyboard control. Instructions on first load you'll only see once. Hi-Score to come back to.

Graphics: 5

Enemy characters are large and colourful. Your enemy craft flickers a bit.

Sound: 5

Nice sound effects for what you would hope to expect for this genre.

Playability: 7

Easy enough to get into and just about clear enough to see what's going on, but it gets tough quite quickly.

Lasting Appeal: 6

Very tough, but with tactical play there is good incentive to come back for hi-scores.

Overall: 6

If you don't compare this too much with the original arcade version, then you have a pretty enjoyable shooter worth coming back for.

Overall, after you get over the initial disappointment of it not looking anything much like the original arcade version, it's quite a good game and it is fun to come back for hiscores. My only gripe is that the playing area really doesn't give that much room for much tactical play when they start seriously attacking. Apart from this, it's one of the better classic titles by Solar Software, and I do believe it's the only

Galaxian clones on our system. It's good, not great but not half bad either.

Commodore Free Magazine Page 38

www.commodorefree.com

DONT WORRY

“WE GOT IT ALL TAPED” ?

Making TAP files from Real tapes

I may be mad or just nostalgic but I just love loading games from tapes; I also know I am not alone as various preservation websites and tools exist for capturing and using tapes and tape files commonly known as “tap”.

While I can’t claim to be an expert on the “tap” format or how the signal is transferred from a real tape to the Commodore 64; I would like to share a couple of methods to preserve your tape files. I wrote this article after watching a friend try to capture the tape image using a Tape to Wav program to sample the sound into an audio format. After you read this you will realise it’s a hit and miss method and it creates a tap file that is very “dirty” and could potentially be full of errors and not load, you know better ways exist and I will explain 2 of the more simpler ways of doing this.

The techniques used here will also work for the Commodore

264 range and the Vic20 the MTAP will need a Commodore

64 to convert the tape though.

The first hurdle is to copy the file from the PC to the Commodore 64, when you download the file it will contain; amongst other things a file called

TAPSERV.PRG

this is run on the Commodore 64 end so you could connect a disk drive and use Star commander to copy the file to Disk or a UIEC device or your favourite method of getting a file from a pc to a Commodore 64. Star commander can be found here http://sta.c64.org/sc.html

its very useful and if you have never used it before I would suggest taking a look at the program, it is designed to work on an MS DOS machine and

not

via a Dos window, so that spare pc or Dual boot system you have will be fine! (lots of old machines end up on eBay and I picked up an old pentium4 computer for £10 with a 40gb hard disk More than enough for Commodore uses.

The cable is connected to your spare pc; or machine that can boot into plain old MS dos mode “not a Dos session” so don’t run it under Windows cos it don’t work, it messes up the timing!

MTAP

I used to use this method a lot but as Bob Dylan sings

“Times have changed” anyway it’s a good method to capture the signal very cheap as you only need a cable and an old

DOS laptop or pc; and it works like this;

First download the MTAP zip file you can find it here http://markus.brenner.de/

The description says

MS-DOS tool for creating real tape files (.TAP files) from original C64, VIC-20 and C16 tapes using the Commodore

Datasette. Requires you to either connect your C64 with Datassette to the PC using an X(E/A)1541 cable or directly connect the Datassette to the C64S tape interface .

*NEW*

You can also use a C16/C116/Plus4-style 1531 (black) datassette using the x1531 tape connector . (Version 0.36, 09-

Jun-02)

You need to make a note of what cable you are using and select the appropriate command line switch that’s the –x or – xe or xa bit that matches your cable!

mtap -x tapname.tap (if recording through X1541 cable)

OR

mtap -xe tapname.tap (if recording through XE1541 cable)

OR

mtap -xa tapname.tap (if recording through XA1541 cable)

The way I used to do this was using the X1541 cable

You connect the cable to the pc and the other end to the

Commodore 64 ( Don’t have anything else connected to the

Commodore 64; so no speed loaders just the cable 1541 and the datasette of course) the commodore 64 then acts as a server to the PC, go over to your connected pc and issue the command

“mtap tapname.tap”

Excluding the quotes of course! And you will be prompted to

press play

on the Commodore 64 datasette so press play when asked to do so!

If for any reason the Commodore 64 border flashes without you having pressed the PLAY button on the Datasette then something has gone wrong! I suggest you power off, remove all peripherals (that shouldn’t be connected) remove and re connect the datasette and start all over again. Although the instructions suggest “remove all peripherals from C64, until border stops flashing”

The program will record all pulses between pressing

<PLAY> on tape and <STOP>.

If you are recording VIC-20 or C16 tapes you need to use an additional command line switch:

mtap -xe -vicpal tapname.tap (for PAL (European) VIC-

20 tapes)

Commodore Free Magazine Page 39

DONT WORRY

“WE GOT IT ALL TAPED” ?

Making TAP files from Real tapes

www.commodorefree.com

You should then find a TAP file on your PC ready for use, I normally run the program through 3 times and then turn over the tape and record the other side 3 times, this way you will have 6 versions of the program and can select the cleanest copy! Although I am a little sad, it is worth doing

Have I said I love this device!

I know before I found this device that people told me; “it was impossible to make such a device” then I saw this website and device and bought one; and to find it works; and works so well; and is so well built and relatively cheap to purchase! I do know Luigi is very paranoid about people using the device to copy tapes and piracy in general witch is all very admirable but to be honest after so long is anyone really going to jump up and down about copying an old game onto tape?

the process a few times as the tapes are worn now and can stretch and of course will be degraded!

DC2N stands for

D

umping vice; it lets its users

dump

(i.e. make a digital backup of) real

PET, VIC20, C16/+4, and C64-tapes directly to a flash-card without the interference of the operating system or file system of the host computer.

C2N

and it's a preservation de-

DC2N

Another method; and my now preferable method is to use something called the

DC2N

http://www.luigidifraia.com/c64/dc2n/media.html

if I was pushed to name my top 5 pieces of Hardware for the Commodore 64 this would be one of them!

Created by a modest genius called Luigi Di Fraia this device is a black box that can record Tapes to SD cards; it will also play back Tap files as if it were a Commodore Datasette! So you get the whole feeling of tapes but completely digital; and that means

NO

tape load errors which is good. Even more of a blessing is when you have some kernel loading games (i.e. none flash or turbo loaders) these can take 20 minutes of nail biting waiting (even I don’t like these tapes, a load error after 18 minutes and its gun to the head time)

Note

No animals were hurt during this procedure although a Commodore 64 did suffer a blown power supply, all other PC`s were un harmed and no cables have been tested on animals, apart from the ones that were; if you plug yourself into the mains you will get hurt I accept no responsibilities at all about anything ever!

Also of note for Tap files is

The device has a tape counter and the little buttons mimic the buttons of the Datasette To play files back just connect the deceive to the dataset port of the commodore 64 and type load and hit return then press play on the DC2N (I put little stickers on mine to show the buttons of the real DATA-

SETTE) the buttons are laid out in the same order as the Datasette! The TAP file will be copied to an SD card so is easily copied to your pc for preservation

TAPClean

TAPClean is a command line tool for Commodore tape preservation and restoration. It will check, repair, and remaster Commodore 64 and VIC 20 TAP or DC2N DMP files (tape images).

Features include

-Detects and retrieves information about TAP and DC2N

DMP file contents.

-Tests and reports on the integrity and condition of the files.

Commodore Free Magazine Page 40

www.commodorefree.com

DONT WORRY

“WE GOT IT ALL TAPED” ?

Making TAP files from Real tapes

-Performs structural corrections and optimizations.

-Develops a library of all detected files as their binary equivalents and allows content exporting.

-Allows conversion to audio format (.AU or .WAV) so TAPs may be played out and recorded back to cassette tape.

C:\>tapclean

----------------------------------------------------------------------

TAPClean v0.28 - (C) 2006-12 TC Team [Build: Jul 3

2012 by ldf]

Based on Final TAP 2.76 Console - (C) 2001-2006

Subchrist Software

----------------------------------------------------------------------

Usage: tapclean [[option][parameter]]...

example: tapclean -o giana_sisters.tap -tol 12

http://sourceforge.net/projects/tapclean/

TAPClean Front End

TAPClean Front End is not just a front end program as its name suggests. It incorporates unique features not found in

TAPClean, such as:

-Interactive report of the tape contents with graphical breakdown

-Hex monitor, Disassembler, and CBM BASIC untokenizer for

PRG files

-TAP editor

-TAP splitting tool

-TAP repair tool for CBM files

-Graphical TAP/DMP analysis tool

-For ease of use the TAPClean Front End packages include binaries of TAPClean as well http://www.luigidifraia.com/c64/index.htm

options...

-t [tap] Test TAP.

-o [tap] Optimize TAP.

-b [dir] Batch test.

-au [tap] Convert TAP to Sun AU audio file (44kHz).

-wav [tap] Convert TAP to Microsoft WAV audio file

(44kHz).

-rs [tap] Corrects the 'size' field of a TAPs header.

-ct0 [tap] Convert TAP to version 0 format.

-ct1 [tap] Convert TAP to version 1 format.

-16 Force Commodore 16 tape.

-20 Force Commodore VIC 20 tape.

-64 Force Commodore 64 tape (default).

-boostclean Raise cleaning threshold.

-debug Allows detected files to overlap.

-do<loader> Scan only for <loader>.

-docyberfault Report Cyberload F3 bad checksums of

$04.

-doprg Create PRG files.

-extvisipatch Extract Visiload loader patch files.

-fstats Pulse stats are per file.

-incsubdirs Make batch scan include subdirectories.

-list List of supported scanners and options used by

-no<loader>

-no<loader> Don't scan for <loader>. Example: -nocyber.

-noaddpause Don’t add a pause to the file end after clean.

-noc64eof C64 ROM scanner will not expect EOF markers.

-noid Disable scanning for only the 1st ID'd loader.

-ntsc NTSC timing.

-pal PAL timing (default).

-prgunite Connect neighbouring PRG's into a single file.

-sine Make audio converter use sine waves.

-skewadapt Use skewed pulse adapting bit reader.

-sortbycrc Batch scan sorts report by cbmcrc values.

-tol [0-15] Set pulsewidth read tolerance, default = 10.

Links

Star commander eBay http://sta.c64.org/sc.html

www.ebay.co.uk

MTAP http://markus.brenner.de/

Cables http://sta.c64.org/xcables.html

Datasette interface http://markus.brenner.de/adapter/index.html

Dos Boot disks http://www.allbootdisks.com/

Commodore 64 data transfer with C64TPC, Star Commander and TAPSERV (MTAP / PTAP) video http://www.youtube.com/watch?v=gH69TGBCz58

Tape transfer information page http://www.richardlagendijk.nl/cip/article/item/tape_transfe r/en

DC2n http://www.luigidifraia.com/c64/dc2n/index.html

ptap

MS-DOS tool for playing back .TAP files to real tapes for use with an actual Commodore 64 machine. Requires the C64S tape adapter .

*NEW*

Supports X(E/A)1541 cables via

TAPSERV and also works for C16/Plus4 TAPs now (no halfwaves yet). (Version 0.36, 08-Jun-02)

Commodore Free Magazine Page 41

www.commodorefree.com

COMMODORE FREE INTERVIEW WITH

TOMI MALINEN

PROGRAMMER OF ALIEN BASH II

ing

A: I was always more interested in creating games of my own than gaming. I liked games too but still I spent more time in trying to create random stuff on C64 BASIC myself. I was only 8-9 years old when I did my very first semi-working games with C64 BASIC. It was also inspiring to see Stavros Fasoulas and Jukka Tapanimäki of the Finnish C64 legends make a successful living from coding in the big world.

Q What coding projects have you worked on

Q Hi can you please introduce yourself to the Commodore Free readers

A: I am Tomi Malinen, I'm 33 years old system engineer living in Lappeenranta, Finland. My two passions are the retro computers and rock music. I collect retro computers and I also play multiple instruments like guitar, keyboards and drums.

A: I started to make a racing game called "Tomi Malinen's

Grand Prix" in 2008 but it got stuck because I had some issues in my personal life that required attention. Now these issues have been resolved and so this project is open for development again. But it really needs a complete rewrite since I've got some new and better ideas for it. Nothing else really.

Q How did you become involved in Commodore machines; and what was your first experience of the Commodore 64

A: Me and my brother got a Commodore 64 with 1541 disk drive for Christmas 1987. We had seen this miracle machine at our cousins and we begged our parents to get one for us.

Q When did you start Coding for the Commodore 64

http://csdb.dk/getinternalfile.php/77823/TomiMalinensGr andPrixEarlyPreview-TM.zip

A: It was really right from the start. I did all the examples of the C64 BASIC manual and tried to modify the code to make my own programs. There was also a great magazine called

MikroBITTI in Finland that had many articles of programming. Also there was a Commodore specific magazine called

C=lehti that had great articles of ASM programming and stuff. C=lehti had many Finnish C64 legends writing articles like Jukka Tapanimäki, Jori Olkkonen and Pasi Hytönen so it was really about learning from the best. I also bought a book written by Jukka Tapanimäki "Game Designer's Guide" that I still use when programming.

Q maybe this is an odd question; Why did you start cod-

Q We must talk about the Up and coming game “alien

Bash 2” apart from the obvious connections the game seems to have with space invaders what was the concept for the game

A: I mentioned MikroBITTI before and that magazine had these type-in games in it. There was a game for VIC-20 called Alien Rush that had similar concept. Most of the typein games were pure crap but this one was great. It had simple idea and it was really playable so I tried to recreate it with C64. This was to be Alien Bash (written in 1999). It had its own unique features too so it wasn't a complete rip off.

Commodore Free Magazine Page 42

COMMODORE FREE INTERVIEW WITH TOMI MALINEN

PROGRAMMER OF ALIEN BASH II

www.commodorefree.com

Then in august 2012 I contacted Jamie from Flimsoft and after offering Alien Bash and other games he said he liked the

Alien Bash game the most. At first it was only meant to be a remake; but I has some great ideas for moving the aliens more smoothly and other levels with different enemies, finally adding bosses and music so I decided to make it a sequel.

release and no pressure at all.

Q Can you tell our readers what the game will feature and a little about the game play, also the music is very unusual how did you come to use the music with the game

Q Why did you decide Flimsoft would be the ideal publisher for the game

A: At first I just wanted to get some of my old games published. As Flimsoft wouldn’t accept games written in BASIC

I decided to contact him. Because this is a new company I thought it needed something to release to get started. I also had been programming C64 for so long and never really got anything released so I thought Flimsoft was a perfect publisher as a newcomer.

A: Alien Bash II will be a space invaders style shooter. The idea is to blast a certain amount of enemies in order to advance to the next level. The game will have two kinds of levels. Invader levels in which you'll have to shoot the aliens before they will land and shooter levels in which the aliens also shoot; and the player needs to shoot them before they shoot the player! There will also be two boss levels which will take more hits to kill. The concept is really simple but I find it addictive to play myself.

Q Also with your game being a premier release for Flimsoft do you think there is more pressure to release a

“star” game for the publisher

A: Not really. I mean at first my goal was just to get my old crap released and to get a proper first release. But then I really got more ambitious in making a game that's decent. But after all the great feedback I'm really feeling good about the

I like 8-bit music and I've been playing in various metal bands in Finland. So naturally I wanted to make a soundtrack to get the player pumped for the action. Of course metal music is really difficult to create with SID but the influence will be there. For example the Alien Bash II title music will be my old thrash metal composition but it really doesn't sound anything like metal anymore after recreating it with C64.

Commodore Free Magazine Page 43

www.commodorefree.com

COMMODORE FREE INTERVIEW WITH TOMI MALINEN

PROGRAMMER OF ALIEN BASH II

Q How does a usual project come together; for example do you have some code you are playing with the seems to expand into a game or do you work everything out then code the parts ing on and do you plan to release them all via Flimsoft

A: No projects other than Alien Bash II and no plans for future releases, at this moment in time.

A: First I will plan the memory configuration of the game. I have one template that I use and modify it for different purposes. This means the location of graphics, sprites, character sets, code and the music. Then I'll make a level plan and in which order everything happens and then do the code frame. After that I'll make some of the graphics, usually for the first level so I'll have some meaningful content to play with. Then after one level I will make the rest. After that it's all about details.

Q when will the game be released, are you working to a deadline and how far through the project are you now

A: The game will probably be released on November to December 2012. The gameplay part is done. Some graphics are still to be drawn and the music for the rest of the levels still needs work. Also some additional graphics for other parts of the game are needed. So the game works now; and it's all about details. There's still plenty of time so I'm going to use it to make everything as polished as possible.

Q Also I know the game is an exclusive from Flimsoft and sold as a bundled item (i.e. manual physical media) will there be a download only version of the game and do you plan to release the source code for the title

Q you said you had received feedback about the preview what is the general consensus about the game do people seem to be more positive than negative about the release?

A: The feedback I received has been mostly positive! and really great to hear from people about the game. I don't really feel that I have received any real negative feedback about

Alien Bash II. Of course some constructive criticism and suggestions have been made. I don't expect everyone to like the game but I'm really glad that many have liked the preview, even though it was actually put together in only two weeks.

The game will be better than the preview I'll give you that much.

Q the credits are entirely to you; graphics, music, coding is this how you prefer to work or would you like help from an artist or musician on later projects

A: Possibly. This is how I've worked up until now; but it would certainly help to make larger projects if someone would help with the graphics and the music.

Q Do you have any question you feel I missed out or would you like to add any comments

A: I think Jamie knows more of the release details than I do.

The source code won't be released for now.

Nothing to add except Thanks for the interview!

Tomi Malinen

Q I know Jason Kelk is bug testing and play testing for

Flimsoft has he given any feed back or ideas about the game

YouTube video available from here http://www.youtube.com/watch?v=fOYMzXrcLQ4

A: Not yet since I'm the only one that has the current version with all the levels.

Preview available from here http://noname.c64.org/csdb/release/?id=110624

Q Do you have any other projects your currently work-

Flimsoft website and updates about the project http://www.flimsoft.co.uk/

Commodore Free Magazine Page 44

www.commodorefree.com

SWARMED Commodore 64 REVIEW

Recently released by Iceout of Avatar (Charles Grey)

For the Commodore 64 a 2k Game called SWARMED http://csdb.dk/getinternalfile.php/108131/swarmed.d64

keep gradually and randomly descending, to denote your advancement through the game the screen colour changes, and of course the score goes up. So the question is should you kill the item on the left or quickly run over to the right as this side seems to be moving faster! The choice is yours, what happens if 2 sides seem to come down simultaneously!

Ahhh ok I’m dead

Now normally you may dismiss something coded in just 2k of memory especially when it’s for a competition, however I feel the game deserves a good review; and as I had space to fill I just couldn’t resist the temptation.

Of course within the limitations of 2k you have to produce something purely on gameplay as coding something graphically and sonically to delight would not really be possible with this meagre amount of space to work in.

SCORES

Well I think this was more a coding challenge than to actually create a game and as such I am not scoring it. Still it’s another nice frustrating little game to play.

So does the game have gameplay

Yes!

It’s a simple game with a simple idea; however it does play rather well. with a joystick plugged into port 2 the idea of the game is to kill the items coming from the ceiling,(the swarm) you can shoot these only upwards and the items

Commodore Free Magazine Page 46

www.commodorefree.com

Commodore Free review

GETEM DELUX

http://www.rgcd.co.uk/2012/10/get-em-dx-c64-

2012.html

release information and hw to buy

http://noname.c64.org/csdb/release/?id=111810&rss

1 player version

http://csdb.dk/getinternalfile.php/109280/getemdxdemo.

prg 1 player DEMO

System Requirements

* A Commodore 64/128/GS (PAL/NTSC).

* A joystick/joypad (two for two-player).

* A VDU preferably connected to a loud sound-system.

* A friend to play with (optional, yet strongly recommended).

make it out, nothing would stop them from having fun trying!

Commodore Free

the 16KB cartridge version that was created for the 2012

RGCD C64 16KB Cartridge Game Development Competition!

Created by Georg Rottensteiner's A tribute to Nyarlu Labs'

'Forget Me Not' Think a bit like Pacman with a gun and you get the idea of the game! It’s even playable on the Commodore 64 GS as you don’t need any key presses.

INTRODUCTION

The cartridge version of the game comes in a lovely purple cartridge shell with a printed manual and bonus stickers!

And will be available in 2 types.

-The standard

version will be £20 (Europe) / £21 (Rest of

World )

-The deluxe version

comes in a plastic case (a Universal

Game Case with specially cut foam insert) and is priced at

£25 (Europe) / £27 (Rest of World)

all prices include shipping and fees.

A tape version will be on sale for £3.99 and the disk version will be priced at £6.99

(excluding postage)

The game will be available to buy on cartridge from rgcd.co.uk

, and tape/disk from psytronik.net

in October

2012.

Poor Getty and Emma may well have been captured by the grumpy old troll King and locked away in the Nyarlu dungeons of infinity, but they weren't overly concerned. Regardless of their plight, the two happy critters cheerily snapped the neck of their prison guard while he slept and prepared for another daring escape. This wasn't the first time they'd thwarted the King's efforts - and it certainly wouldn't be the last...

The retail version contains the two player mode, but you can download a free version (available from rgcd.co.uk

) see the links at the start of this text. however this is a single player version only. The single player version will also be included in a future update of Manomio's C64 app for iPhone and iPad.

...Having said that though, these dungeons were unlike any hell-hole the King had cast the duo into previously. Every floor of the neon-walled catacombs was radically different in layout, and what were these odd pulsating crosses lining the corridor floors? Whatever they were for, they certainly tasted nice! And wasn't it convenient that after scoffing them all a key and exit would appear leading to another dungeon? Wizard!

Grabbing a crossbow each from a fallen troll, Getty and Emma skipped happily down the halls, filling their tummies with crosses and chirruping merrily as they let forth salvo after salvo of deadly bolts into the thick hides of their captors. Full of the spirit of adventure, the two friends felt super-positive about their chances - and even if they didn't

PLAYING GET 'EM DX

Get 'Em DX is a one or two player (co-operative) mazebased arcade game, however 2 players are better than 1 It's a bit like Pac-Man, but with procedurally generated levels

(that’s random to you and me)and more guns.

You need to eat all the Crosses and this will generate a gold key! Grab the key before any of the other monsters do and run for the exit. The monsters will generally block you and of course try to kill you as well as trying to grab the key before you can, and of course they generally hinder your escape to the next level. However good luck is on your side in the form of unlimited ammunition and a rapid fire crossbow, also most enemies drop power ups; however you need to collect 9 different ones to benefit from them!

Commodore Free Magazine Page 47

www.commodorefree.com

Commodore Free review

GETEM DELUX

Scoring system

EXTRA TIME (5 Points) - Adds 5 units to the timer.

SHOT RATE UP (10 Points) - Increases fire rate.

SMART BOMB (15 Points) - Destroys all active enemies.

INVINCIBILITY (20 Points) - Temporarily makes your character invincible.

SLOWDOWN (25 Points) - Temporarily slows you down.

SHOT POWER UP (30 Points) - Increases fire power.

SPEEDUP (40 Points) - Increases the speed of your character.

EXTRA LIFE (50 Points) - Additional life (a maximum of 9 can be held).

Enemies “warp” on screen so you have a few seconds breathing time before the real struggle begins.

I played this game with my 6 year old son and he loved it! He said it reminded him of the monster with the 90 degree mouth! (ermm think that’s Pacman, school use Pacman to show 90 degrees and find the angle using a cut out of Pacman)

THE END !

THE KEY

THE EXIT

Loading the game from the cartridge, First ensure power is off; plug in the cartridge and turn on, after a short pause the game starts “love the music” First thoughts are a little disappointing it doesn’t look very graphically excellent but then again it doesn’t need to be! Player 1 (Getty) is controlled by a joystick plugged into port 2. Player 2 (Emma

Scores

MUSIC

GRAPHICS

7/10

5/10 (maybe I am being a little harsh)

PLAYABILITY

7/10

OVERALL

7/10

The more you play the more addictive it becomes!

The packaging of the DX version is superb you can’t fault it, had this been released when I was a school I bet I would be wearing the stickers on my school bag. Now I haven’t really looked or played the IOS version and don’t want to especially as I only have a droid to download to, so this game is judged entirely on the Commodore 64 version (as it should be)

Commodore Free Magazine Page 48

www.commodorefree.com

Redrunner/Greenrunner

Retroskoi+ Trailer

(64KB C64 Cartridge Version) (6581 SID)

Link for details and how to buy the game

http://www.rgcd.co.uk/2012/07/greenrunnerredrunnerre troskoi-c64-2012.html

Aleksi Eeben's Redrunner and Greenrunner were released on a cartridge for the Commodore 64, The two games have been updated and fixed for PAL/NTSC compatibility, with the addition of Retroskoi+ synthesiser .

age now, for the doom sayers I have to say; sadly that this

isn’t!

The game is so fast you could be on the screen one minute then in less time than it takes to blink are dead! the game play is meticulous and just amazingly fast, again the

it

speed of the game is mind-blowing! If you were a Jeff Minter fan you will really appreciate how the game has been put together, you can feel the time and energy that has gone into creating this, the care and meticulous programming have produced a true classic.

"THIS IS THE VOICE OF THE GREENRUNNER..."

This was originally released way back in 2006, Greenrunner is a frantic arcade game with an amazing mix of sampled speech and a high quality soundtrack. The game is very Jeff

Minter-esque.

"THIS IS THE VOICE OF THE REDRUNNER..."

2007 saw an update of Greenrunner this time in full colour!

Improving on the high-res character graphics of the original

Redrunner and challenges the player with an all new and improved 100 waves

Greenrunner, Redrunner and Retroskoi+

are NTSC and

PAL compatible, the games are menu controlled now with a joystick which means the games are even playable on the

Commodore 64 GS console obviously not the Retroskoi+ synthesiser though . the 64KB PCB is housed in a clear cartridge shell illuminated by a flashing green and red LED, complete with a printed manual and

Retroskoi+ reference sheet.

It’s a game so simple in concept that you need no introduction to the rules, pickup a joystick and try and wiled it about hitting fire praying your reactions are faster than the machine. Of course it bears a resemblance to some other games but is different enough to be unique, a bit like Jeff minter games really! Add the most amazing soundtrack that you could possible think of and you produce a game called

Greenrunner. Now add sampled sound and you have an even more addictive and totally mind-blowing game. If I had to say anything negative It would be about the graphics that do look a little primitive; but the explosions make up for this limitation, maybe I am being picky.

“THIS IS THE SOUND OF Retroskoi+ A mono synthesiser “

Retroskoi Plus is a 2-oscillator monophonic synthesiser for

Commodore 64. This Plus version is and exclusive to RGCD

Redrunner & Greenrunner cartridge and provides additional preset sounds and a wider keyboard range.

SCORES

Graphics

Sound

Gameplay

Overall

6/10

10/10 Amazing

10/10 totally addictive and perfect

9/10

Almost perfection!

The cartridge is available to buy from rgcd.co.uk. RRP £25/26 including

Europe/Worldwide postage.

The games will also be available together on disk or tape from psytronik.net/ - with the tape, disk and premium disk versions costing £4.99/£4.99/£9.99 respectively, plus postage.

Retroskoi+ will be cartridge exclusive and not available in other formats.

Greenrunner

The game has been around as earlier said since 2006 and so should be showing its

Commodore Free Magazine Page 49

www.commodorefree.com

Redrunner/Greenrunner

Retroskoi+ Trailer

(64KB C64 Cartridge Version) (6581 SID)

REDRUNNER

So what do you do to a game that is almost perfect?

Well you re-make it literally perfect. You make a sound track that blows Greenrunner out of the competition and then add more colour, faster gameplay. The basic idea remains the same you control a small ship that shoots up/down/left/right (at the same time) and you can move anywhere multi dimensionally! You may feel the graphics don’t look that much of an improvement over Greenrunner, but the colour and the speed of execution are perfect for the game; anything else would be a distraction to what is a perfectly created and executed manic Commodore 64 game.

Retroskoi+

Ahhh time to chill out now after all that frantic action and become the frustrated keyboard player you always new you weren’t! Even if you don’t play a note you can just bash the keyboard and produce some sounds using the presets in the application (you see now why it can’t work on the c64gs – not keyboard). As the Plus version is a cartridge exclusive you won’t be able to download and play it anywhere else! IT makes a prefect addition to what is a superbly packaged cartridge for the Commodore 64 as they say with this in your collection you will be like a “pig in Sun” (you know they saying......

As you kill things they turn into these mushroom things

They will block your way unless you blast them!

However you could use them strategically to make the bugs follow a path to you and of course their death!

Various bug type things appear, kill them before they kill you!

You can create your own sounds, but unfortunately can’t be saved so you would need to write down the patch sounds; this seems to be a shame especially if you intended using the system in a live event. However the sounds could be sampled and used in your favourite digital package. That’s it really mess about and hit some buttons; would be interesting to see a few Commodore64`s in a live event running the software!

Can you really score a mono synthesiser

Well erm I can’t really

Superb package!

Secret Game Hidden on the

Greenrunner/Redrunner/Retroskoi+ Cartridge!

SCORES

Graphics

Sound

Gameplay

Overall

7/10

10/10

10/10

10/10

Overall “PERFECTION

Ship awarded! Yes I know the scores don’t stack up right !

ROUND COMPLETE BONUS POINTS.................

Aleksi Eeben has included a whole extra game on the

Greenrunner/Redrunner/Retroskoi+ cartridge! called Venus Express (PAL only) to load the game, got o the main menu hold down and left on the joystick and press fire.

Commodore Free Magazine Page 50

www.commodorefree.com

SOULLESS

COMMODORE FREE REVIEW

This is an epic game; make no mistake about it! The game is available on Tape disk and cassette, and cartridge, it’s also available as a download so I think that covers all the bases!

The production is faultless, has the level now been raised a notch; heck if I was still at school and this was released I would have been faking sick days to go and look at the packaging in the local computer shop! It’s a lovely box with superb art, Heck if ever something was packaged to perfection then this game would be it! The question then is how does the game play, Packaging a game is one thing but if you package a dud?

STORY:

Rizek, a powerful warrior King ruled a vast empire and defeated many of his enemies. Nothing and nobody stood in his way, yet he grew tired of constant war. The King declared a time of peace but those close to him craved battle and decided to betray the King. Kalen the wizard cast an unholy spell on the King, stealing his soul and transforming him into the beast, his body thrown into a cell for all time. Now after a thousand years a great earthquake has broken the walls of the cell and Rizek can finally escape. Can he recover his soul and take his rightful place as King once more?

The game loads from disk with some spectacular loading screens showing the RGCD logo then we are treated to a short pictorial story about the games past then onto the main title screen. The whole thing is slickness itself, the colour pallet is especially good, the graphics and animations all set the scene really well.

Pressing fire starts the game

INSTRUCTIONS:

The object of the game is to collect 12 spirit stones then place them in the correct order in the Soul Chamber.

To do this you must explore the temple and search objects in each screen. There are clues to the correct order scattered around the temple (keep a note of these).

COMMODORE FREE

Commodore Free Magazine Page 51

www.commodorefree.com

SOULLESS

COMMODORE FREE REVIEW

As a rule I am not a fan of “everything on screen at once” this is because you tend to lose what is foreground and back ground you feel overwhelmed with just the amount of “stuff” on screen. I have to report that either it’s the choice of colours or shading or the way the graphics are drawn I don’t know; but the game does work and it’s easy to find your way around in the picture you can easily see that you are supposed to climb up the slabs because of the colouring they stand out! The movement and animation is slick and smooth with absolutely effortless control, so you getting a feeling for the game yet! The graphics are superbly drawn with loads of depth and feeling that really add to the game.

This game also stands out for its lack of scrolling things around for the sake of showing off, it’s a platformer and the screens remain static except for the flick to the next rather than scrolling around following the user, again less distraction for the game player.

although I haven’t marked the game down for this; but don’t think it’s an easy game because this can get quite involved )

SCORES

GRAPHICS

SOUND

GAMEPLAY

OVERALL

9/10

9/10

9/10

9/10

It’s just all a little too scary for me!

Brilliant effort.

Your character can run left and right, jump and crouch, and these attributes will be required if you are to survive and progress in the game and the various creatures attacks and advances! Your character has a health bar that will reduce as he is hit; once it becomes low the character will start to flash and another hit will see you die. You need to look carefully to find all the treasures hidden within the game these will increase your score .

You do also need some pretty pixel perfect jumps; so be aware, if like me you more enjoy the Run like mad with all attack waves hitting you and try and make the “leap of faith”

You will of course find this method doesn’t work on this type of game, it’s a steady move wait for a clearance then jump!

Watch a YouTube un boxing here (although not in English) http://www.youtube.com/watch?v=0nGw_Lccj3U

The music is very atmospheric relay fitting in with the game play, with dark music on the into setting up the scene of the game ahead, the in game music is more jolly but still fitting and very cleverly crafted. The only real problem I have and this is more aimed at my game playing skills than anything is I found the game quite hard to master, not the controls just the game level seems to be set quite high, even with a cheat for infinite energy! (Indeed I still haven’t mastered it

Official promotion here (don’t you just dig the funky Chords

I keep thinking

hey Macarena

well it stops me being scared!) http://www.youtube.com/watch?v=k2H7GrZNRcA

Commodore Free Magazine Page 52

www.commodorefree.com

Commodore Free REVIEW

SQRXZ OCS AMIGA VERSION

I received this through the post as a Disk with some press release information Sadly I couldn’t get the disk to load, seems to be a problem with the disk though rather than my machines, however; now the game is available to download from http://www.sqrxz.de/ as an ADF file, as well as for a number of other supported systems like Linux, MacOS , MorphOS, AROS and Windows etc., it’s quite a long list of operating systems the game runs on!

ETC

It’s a nice guide into the game and the difficulty level is more eased for the beginner, although I am not a fan of the font used but hey it works and I suppose it looks more mystical or something.

First impressions are good the graphics look nice and cute and the music is very good, although it does tend to get a bit monotonous after a while. Pressing the fire button gives the option to start a new game continue, view high scores or exit. In fact pressing the fire button brings this up in the game as the button isn’t used.

So you are SQRXZ and have lost your items in this world you need to find them but avoid the nasties that lurk within the world.

After downloading the file and playing under emulation for a while (mainly to get some screen shots) I converted the file to a real disk and loaded the game up. I love the loading screen with the Retro guru floating around, nicely drawn and quite amusing.

After the loading screen with the Guru the man screen is presented

Moving around is easy enough left, right and pressing down makes you run slower pushing up makes you jump, if you jump up under a tile you could find a hidden item. It’s all tried and tested gameplay and the screen scrolls with you as you run, although you are more towards the front of the screen than the middle so don’t run to fast as you may not see what s coming!

You can jump on items to stun them and use items to jump higher by jumping on them. The game is fast and as you would expect a very silky smooth. Here I am only reviewing the OCS version of the game.

What more can you say its solid game play and a free download from http://www.sqrxz.de/ along with its sequels 2 and 3 although the first one is the only OCS version and of course it runs fine in an ECS system.

SCORES

remembering this is for the OCS VERSION!

SOUND

GRAPHICS

GAMEPLAY

OVERALL

7/10

7/10

7/10

7/10

Latest posting on the website (at the time of writing this article) reads

Sqrxz v1.1 for Amiga OCS

Posted by Retroguru on October 8, 2012No comments

As you may guess this is a platform game in the style of a Japanese gentleman who is a plumber, I think you guessed the style here. One thing I quite liked is as you start you can read messages on screen about how to play the game and what to avoid etc.

Like the examples

Good evening everyone,

Please kindly note that Sqrxz for Amiga OCS/ECS has been updated. We are now on Version 1.1 which comes with improved scrolling and improved music player. Along with this, there is a

HD installable download too! A

CDTV/CD32 version will follow soon as we need to update it, to be in sync with the latest release.

Thanks for the update Frank!

The VIC often gets overlooked as a system, if howev-

Commodore Free Magazine Page 53

www.commodorefree.com

COMMODORE FREE REVIEW

AVALANCHE FOR THE UNEXPANDED

er you were like me and your first introduction to computers was the Vic! You will no doubt have a fond memories for the machine. Far from something to mock and hide away; the Vic can produce some really gems but it takes work to get the best from the machine! So when a company starts to produce more new games for the hardware then you have to sit up and take notice, especially when they are unexpanded games.

ing play so any chance to slow the action down is most welcomed.

So Moving the joystick up/down will change the ships tile colour and shooting the same coloured tiles will gain more than just shooting anything, but this is where the strategy come is how long do you concentrate on each tile shooting it and changing its colour until it matches the other 4 or do you chicken out and have to hit the other tiles as once it touches the line you will die!

Here then is a game for the unexpanded Vic 20

Although it’s easy for developers to suggest a memory expansion, some people like to programme for the virgin machine and this was the challenge for this particular developer.

The game is simplicity itself and it’s this simplicity that leads to some tantalising game play, indeed when I saw the preview on you tube I knew this was a game I must possess for the Vic. What’s so special you may ask?

Let’s assume you have 2 or 3 blue gems, if you don’t shoot these blue gems, but instead keep shooting at the other gems trying to get them to switch to blue as well and then shoot all 5 of the same colour; This is what gives the game its depth, and this is way it’s more a risk/reward thing to keep shooting until you have 5 the same symbols or if it doesn’t seem to work in time, quickly switch to the other gems again to shoot them away to try another strategy

Well I am glad you asked that question as I will explain what

I feel makes the game so good.

Ahhh 5 of the same but will I have time to hit them all before one hits the line

The game on first glance looks like some blocks falling down and you would think shooting them would give you some sort of score and you had to try to keep the up in the air to win the game (is that what you think), well you are wrong!

This is more a strategy game than just a simple shooting game as I will explain.

The only sound is blips as you fire and hit something and an acknowledgement when you hit 5 of the same colour and shape, however this doesn’t really detract from the game.

My only criticism is that it doesn’t seem to have a high score where you can enter your name and hence show off, it shows your score at the game end, but of course with a group all competing you need the pose factor of a high score!

You need a joystick plugged in and moving left/right will move you on screen from left to right, fire will fire; but moving the joystick up or down will change the tile shoot colour/shape, they cycle through a range so getting to know this and how to cycle up and down the range will gain you a good advantage. Notice in the centre on the first “ship” you have a green almost 8 shaped character Well the game gets challenging because if you hit 5 of the same coloured shapes in a row you score a bonus of 10 points and also the game slows down a little, the game is gradually speeding up dur-

SCORES

Graphics

Sound

Gameplay

Overall

7/10

6/10

9/10

8/10

Summary

A Great frustrating game of skill and speed, more of the same for me please!

Commodore Free Magazine Page 54

Issue 65

2012

Editor

Nigel Parker

Spell Checking

Peter Badrick

Text & HTML Conversion

Paul Davis

D64 Disk Image

Al Jackson

PDF Design

Nigel Parker

Website www.commodorefree.com

Email Address [email protected]

Submissions

Articles are always wanted for the magazine. Contact us for details .We can’t pay you for your efforts but you are safe in the knowledge that you have passed on details that will interest other Commodore enthusiasts.

Notices

All materials in this magazine are the property of Commodore Free unless otherwise stated. All copyrights, trademarks, trade names, internet domain names or other similar rights are acknowledged. No part of this magazine may be reproduced without permission.

The appearance of an advert in the magazine does not necessarily mean that the goods/services advertised are associated with or endorsed by Commodore Free Magazine.

Copyright

Copyright © 2012 Commodore Free Magazine

Was this manual useful for you? yes no
Thank you for your participation!

* Your assessment is very important for improving the work of artificial intelligence, which forms the content of this project

Download PDF

advertisement